CREATE TABLE sscCustomer (
  customerID INT(11) NOT NULL AUTO_INCREMENT,
  userName VARCHAR(100) NOT NULL,
  password VARCHAR(255) DEFAULT NULL,
  orderNumber INT(11) DEFAULT NULL,
  created VARCHAR(100) DEFAULT NULL,
  lastLogin VARCHAR(100) DEFAULT NULL,
  autoLoginToken VARCHAR(255) DEFAULT NULL,
  status VARCHAR(100) DEFAULT NULL,
  firstName VARCHAR(100) DEFAULT NULL,
  lastName VARCHAR(100) DEFAULT NULL,
  organization VARCHAR(100) DEFAULT NULL,
  address1 VARCHAR(255) DEFAULT NULL,
  address2 VARCHAR(255) DEFAULT NULL,
  city VARCHAR(100) DEFAULT NULL,
  state VARCHAR(100) DEFAULT NULL,
  postalCode VARCHAR(100) DEFAULT NULL,
  country VARCHAR(100) DEFAULT NULL,
  phone1 VARCHAR(100) DEFAULT NULL,
  phone2 VARCHAR(100) DEFAULT NULL,
  email1 VARCHAR(100) DEFAULT NULL,
  email2 VARCHAR(100) DEFAULT NULL,
  cimProfileID VARCHAR(100) DEFAULT NULL,
  extra1 VARCHAR(255) DEFAULT NULL,
  extra2 VARCHAR(255) DEFAULT NULL,
  extra3 VARCHAR(255) DEFAULT NULL,
  extra4 VARCHAR(255) DEFAULT NULL,
  extra5 VARCHAR(255) DEFAULT NULL,
  notes text DEFAULT NULL,
  passwordToken VARCHAR(100) NULL DEFAULT NULL,
  passwordTokenDate VARCHAR(100) NULL DEFAULT NULL,
  canUsePO tinyint(4) NOT NULL DEFAULT '0',
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerBean',
  PRIMARY KEY  (customerID),
  UNIQUE KEY userName (userName),
  UNIQUE KEY passwordToken (passwordToken)
);

CREATE INDEX IDX_sscCustomer_userName ON sscCustomer (userName);
CREATE INDEX IDX_sscCustomer_firstName ON sscCustomer (firstName);
CREATE INDEX IDX_sscCustomer_lastName ON sscCustomer (lastName);
CREATE INDEX IDX_sscCustomer_address1 ON sscCustomer (address1);
CREATE INDEX IDX_sscCustomer_postalCode ON sscCustomer (postalCode);
CREATE INDEX IDX_sscCustomer_phone1 ON sscCustomer (phone1);
CREATE INDEX IDX_sscCustomer_email1 ON sscCustomer (email1);
CREATE INDEX IDX_sscC_autoLogin ON sscCustomer (autoLoginToken);
ALTER TABLE sscProductReview ADD FOREIGN KEY (customerID) REFERENCES sscCustomer (customerID) ON DELETE SET NULL;

CREATE TABLE sscCustomerAddress (
  customerAddressID INT(11) NOT NULL AUTO_INCREMENT,
  customerID INT(11) NOT NULL DEFAULT '0',
  status VARCHAR(100) DEFAULT NULL,
  firstName VARCHAR(100) DEFAULT NULL,
  lastName VARCHAR(100) DEFAULT NULL,
  organization VARCHAR(100) DEFAULT NULL,
  address1 VARCHAR(255) DEFAULT NULL,
  address2 VARCHAR(255) DEFAULT NULL,
  city VARCHAR(100) DEFAULT NULL,
  state VARCHAR(100) DEFAULT NULL,
  postalCode VARCHAR(100) DEFAULT NULL,
  country VARCHAR(100) DEFAULT NULL,
  phone1 VARCHAR(100) DEFAULT NULL,
  phone2 VARCHAR(100) DEFAULT NULL,
  isDefault tinyint(4) NOT NULL DEFAULT '0',
  paymentToken VARCHAR(255),
  creditCardName VARCHAR(255),
  creditCardType VARCHAR(255),
  creditCardDate VARCHAR(255),
  creditCardNumberDisplay VARCHAR(255),
  identifier VARCHAR(255),
  isBilling TINYINT(4) NOT NULL DEFAULT 0,
  email1 VARCHAR(100) DEFAULT NULL,
  email2 VARCHAR(100) DEFAULT NULL,
  extra1 VARCHAR(255) DEFAULT NULL,
  extra2 VARCHAR(255) DEFAULT NULL,
  extra3 VARCHAR(255) DEFAULT NULL,
  extra4 VARCHAR(255) DEFAULT NULL,
  extra5 VARCHAR(255) DEFAULT NULL,
  notes TEXT DEFAULT NULL,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerAddressBean',
  PRIMARY KEY  (customerAddressID),
  KEY customerIDIndex (customerID),
  FOREIGN KEY (`customerID`) REFERENCES `sscCustomer` (`customerID`) ON DELETE CASCADE
);

CREATE INDEX IDX_sscCustomerAddress_firstName ON sscCustomerAddress (firstName);
CREATE INDEX IDX_sscCustomerAddress_lastName ON sscCustomerAddress (lastName);
CREATE INDEX IDX_sscCustomerAddress_address1 ON sscCustomerAddress (address1);
CREATE INDEX IDX_sscCustomerAddress_postalCode ON sscCustomerAddress (postalCode);
CREATE INDEX IDX_sscCustomerAddress_phone1 ON sscCustomerAddress (phone1);
CREATE INDEX IDX_sscCustomerAddress_email1 ON sscCustomerAddress (email1);

CREATE TABLE sscCustomerWishList (
  customerWishListID INT(11) NOT NULL AUTO_INCREMENT,
  customerID INT(11) NOT NULL DEFAULT '0',
  name VARCHAR(255) DEFAULT NULL,
  description VARCHAR(255) DEFAULT NULL,
  created VARCHAR(100) DEFAULT NULL,
  lastUpdated VARCHAR(100) DEFAULT NULL,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListBean',
  PRIMARY KEY  (customerWishListID),
  KEY customerIDIndex (customerID),
  FOREIGN KEY (`customerID`) REFERENCES `sscCustomer` (`customerID`) ON DELETE CASCADE
);

CREATE TABLE sscCustomerWishListProduct (
  customerWishListProductID INT(11) NOT NULL AUTO_INCREMENT,
  customerWishListID INT(11) NOT NULL DEFAULT '0',
  productID INT(11) NOT NULL DEFAULT '0',
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListProductBean',
  PRIMARY KEY  (customerWishListProductID),
  KEY customerWishListIDIndex (customerWishListID),
  KEY productIDIndex (productID),
  UNIQUE KEY customerWishListProductUKey (customerWishListID, productID),
  FOREIGN KEY (`customerWishListID`) REFERENCES `sscCustomerWishList` (`customerWishListID`) ON DELETE CASCADE,
  FOREIGN KEY (`productID`) REFERENCES `sscProduct` (`productID`) ON DELETE CASCADE
);
