CREATE TABLE sscPayment (
  paymentID INT(11) NOT NULL AUTO_INCREMENT,
  status VARCHAR(100) DEFAULT NULL,
  orderID INT(11) NOT NULL DEFAULT '0',
  processorClassName VARCHAR(255) DEFAULT NULL,
  valueFieldLabels VARCHAR(255) DEFAULT NULL,
  creditCardName VARCHAR(64) DEFAULT NULL,
  creditCardType VARCHAR(16) DEFAULT NULL,
  creditCardDate VARCHAR(16) DEFAULT NULL,
  creditCardNumber VARCHAR(64) DEFAULT NULL,
  creditCardNumberDisplay VARCHAR(32) DEFAULT NULL,
  value1 VARCHAR(255) DEFAULT NULL,
  value2 VARCHAR(255) DEFAULT NULL,
  value3 VARCHAR(255) DEFAULT NULL,
  value4 VARCHAR(255) DEFAULT NULL,
  value5 VARCHAR(255) DEFAULT NULL,
  value6 VARCHAR(255) DEFAULT NULL,
  value7 VARCHAR(255) DEFAULT NULL,
  value8 VARCHAR(255) DEFAULT NULL,
  value9 TEXT,
  created VARCHAR(255) DEFAULT NULL,
  amount DECIMAL(10,4) DEFAULT NULL,
  paymentProfileID VARCHAR(100) DEFAULT NULL,
  extra1 VARCHAR(255) DEFAULT NULL,
  extra2 VARCHAR(255) DEFAULT NULL,
  extra3 VARCHAR(255) DEFAULT NULL,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.payment.PaymentBean',
  PRIMARY KEY  (paymentID),
  FOREIGN KEY (`orderID`) REFERENCES `sscOrder` (`orderID`) ON DELETE CASCADE
);

CREATE INDEX IDX_sscPayment_creditCardName ON sscPayment (creditCardName);
CREATE INDEX IDX_sscPayment_value1 ON sscPayment (value1);
CREATE INDEX IDX_sscPayment_value2 ON sscPayment (value2);
CREATE INDEX IDX_sscPayment_value3 ON sscPayment (value3);
CREATE INDEX IDX_sscPayment_value4 ON sscPayment (value4);
CREATE INDEX IDX_sscPayment_value5 ON sscPayment (value5);
CREATE INDEX IDX_sscPayment_value6 ON sscPayment (value6);
CREATE INDEX IDX_sscPayment_created ON sscPayment (created);
CREATE INDEX IDX_sscPayment_amount ON sscPayment (amount);
