ALTER TABLE npcSKU ALTER COLUMN productID INT NULL;

CREATE TABLE npcProductSetting (
  productSettingID INT IDENTITY NOT NULL,
  productID INT NOT NULL,
  code VARCHAR(100) NOT NULL DEFAULT '',
  name VARCHAR(255) DEFAULT NULL,
  description VARCHAR(255) DEFAULT NULL,
  type VARCHAR(100) DEFAULT NULL,
  valueType VARCHAR(16) NOT NULL,
  integerValue INT DEFAULT NULL,
  smallValue VARCHAR(64) DEFAULT NULL,
  mediumValue VARCHAR(255) DEFAULT NULL,
  textValue TEXT,
  CONSTRAINT PK_productSettingID PRIMARY KEY CLUSTERED 
  ( productSettingID ) ON [PRIMARY],
  CONSTRAINT AK_productSettingCode UNIQUE NONCLUSTERED 
  ( code, productID ) ON [PRIMARY],
  CONSTRAINT FK_product_productSetting FOREIGN KEY (
	productID
  ) REFERENCES npcProduct (
	productID
  ) ON DELETE CASCADE ON UPDATE CASCADE
);

CREATE TABLE npcCategorySetting (
  categorySettingID INT IDENTITY NOT NULL,
  categoryID INT NOT NULL,
  code VARCHAR(100) NOT NULL DEFAULT '',
  name VARCHAR(255) DEFAULT NULL,
  description VARCHAR(255) DEFAULT NULL,
  type VARCHAR(100) DEFAULT NULL,
  valueType VARCHAR(16) NOT NULL,
  integerValue INT DEFAULT NULL,
  smallValue VARCHAR(64) DEFAULT NULL,
  mediumValue VARCHAR(255) DEFAULT NULL,
  textValue TEXT,
  CONSTRAINT PK_categorySettingID PRIMARY KEY CLUSTERED 
  ( categorySettingID ) ON [PRIMARY],
  CONSTRAINT AK_categorySettingCode UNIQUE NONCLUSTERED 
  ( code, categoryID ) ON [PRIMARY],
  CONSTRAINT FK_category_categorySetting FOREIGN KEY (
	categoryID
  ) REFERENCES npcCategory (
	categoryID
  ) ON DELETE CASCADE ON UPDATE CASCADE
);
