<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start productList.jsp -->
<c:set var="displayAddToCart" value="${settings.map.displayAddToCartOnListPages}"/>
<c:set var="previousPrimaryCategoryID" value="0" />
<c:if test="${empty categoryParam}">
	<c:set var="categoryParam" value=""/>
</c:if>
<c:if test="${empty listCollection}">
	<logic:present name="productListCollection">
		<c:set var="listCollection" value="${productListCollection}"/>
	</logic:present>
</c:if>
<c:if var="notAllDenyPurchase" test="${false}"/>
<c:if test="${!empty listCollection}">
	<div class="productList rowList">
	<form class="multipleProductAddForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartAdd.do")%>" method="post">
		<table summary="List of products or other objects">
			<tr class="listHeading">
				<c:if test="${displayAddToCart eq '1' and settings.map.catalogMode eq '0'}">
					<th><bean:message key="productList.quantityLabel" bundle="/product"/></th>
				</c:if>
				<th>&nbsp;</th>
				<th><bean:message key="productList.codeLabel" bundle="/product"/></th>
				<th><bean:message key="productList.nameLabel" bundle="/product"/></th>
				<th class="price"><bean:message key="productList.priceLabel" bundle="/product"/></th>
			</tr>
			<logic:iterate name="listCollection" id="object" indexId="index">
				<c:choose>
					<c:when test="${empty advancedSearch or advancedSearch ne 'true' or objectTypes[index] == 1}">
						<c:set var="objectType" value="Product"/>
					</c:when>
					<c:when test="${objectTypes[index] == 2}">
						<c:set var="objectType" value="Category"/>
					</c:when>
					<c:when test="${objectTypes[index] == 3}">
						<c:set var="objectType" value="Manufacturer"/>
					</c:when>
				</c:choose>
				<c:if test="${!empty relatedProductList}">
					<c:set var="object" value="${object.product}"/>
				</c:if>
				<c:choose>
					<c:when test="${objectType eq 'Product' and settings.map.useSEOCodeForProductURLs eq '1' and !empty object.seoCode}">
						<c:set var="objectLinkCode" value="${object.seoCode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="objectLinkCode" value="${object.code}"/>
					</c:otherwise>
				</c:choose>
				<c:if test="${object.isActive}">
					<c:if test="${objectType eq 'Product'}">
						<c:set var="product" value="${object}" scope="request"/>
						<tiles:insert attribute="inventoryDiscountSettings" flush="false"/>
					</c:if>
					<c:choose>
						<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
						<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
					</c:choose>
					<tr id="productList-<c:out value="${product.code}"/>" class="product <c:out value="${thisClass}"/>">
						<%-- Quantity input --%>
						<c:if test="${displayAddToCart eq '1' and settings.map.catalogMode eq '0'}">
							<td rowspan="2" class="quantity <c:out value="${thisClass}"/>">
								<c:if test="${objectType eq 'Product' and !denyPurchase}">
									<input type="hidden" name="orderProductCodes" value="<c:out value="${object.code}"/>" />
									<input type="text" name="orderProductQuantities" value="0" size="2"/>
								</c:if>
							</td>
						</c:if>
						<%-- Small image --%>
						<td rowspan="2" class="image <c:out value="${thisClass}"/>">
							<c:if test="${!empty object.smallImage}">
								<html:link href="${customerURL}/${objectType}.do?code=${objectLinkCode}${categoryParam}" >
									<img src="<c:out value="${object.smallImage}"/>"<c:if test="${!empty object.name}"> title="<c:out value="${object.name}"/>" alt="Image for product <c:out value="${object.code}"/>"</c:if>/>
								</html:link>
							</c:if>
						</td>
						<%-- Object code --%>
						<td rowspan="2" class="code <c:out value="${thisClass}"/>">
							<c:out value="${object.code}"/>
						</td>
						<%-- Object name --%>
						<td class="name <c:out value="${thisClass}"/>">
							<h3 class="name">
								<html:link href="${customerURL}/${objectType}.do?code=${objectLinkCode}${categoryParam}">
									<c:out value="${object.name}" escapeXml="false"/>
								</html:link>
							</h3>
							<c:if test="${objectType eq 'Manufacturer'}">
								<br/>
								(<bean:message key="advancedSearch.manufacturer" bundle="/product"/>)
							</c:if>
							<c:if test="${objectType eq 'Category'}">
								<br/>
								(<bean:message key="advancedSearch.category" bundle="/product"/>)
							</c:if>
						</td>
						<%-- Product price --%>
						<td class="price <c:out value="${thisClass}"/>">
							<c:if test="${objectType eq 'Product'}">
								<c:choose>
									<c:when test="${displayProductDiscount and settings.map.strikeThruPrices eq 1}">
										<strike><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/></strike>
										&nbsp;
										<span class="productSalePrice">
											<c:choose>
												<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
													<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
													<bean:message key="product.discountItemsForFree" bundle="/product"/>
												</c:when>
												<c:otherwise>
													<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice - productDiscountAmount}"/>
												</c:otherwise>
											</c:choose>
										</span>
									</c:when>
									<c:otherwise>
										<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/>
									</c:otherwise>
								</c:choose>
							</c:if>
						</td>
					</tr>
					<tr id="productListDetails-<c:out value="${product.code}"/>" class="productDetails <c:out value="${thisClass}"/>">
						<td colspan="2" class="<c:out value="${thisClass}"/>">
							<%-- Highlighted excerpt --%>
							<c:if test="${!empty objectExcerpts and !empty objectExcerpts[index]}">
								<div class="excerpt">
									<c:out value="${objectExcerpts[index]}" escapeXml="false"/>
								</div>
							</c:if>
							<%-- Product discount --%>
							<c:if test="${displayProductDiscount}">
								<div class="discount">
									<bean:message key="product.discount" bundle="/product"/>:
									<c:choose>
										<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
											<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
											<bean:message key="product.discountItemsForFree" bundle="/product"/>
										</c:when>
										<c:otherwise>
											<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${productDiscountAmount}"/>
											<bean:message key="product.discountAmountOff" bundle="/product"/>
										</c:otherwise>
									</c:choose>
								</div>
							</c:if>
							<%-- Product inventory --%>
							<c:if test="${objectType eq 'Product' and trackProduct}">
								<div class="inventory">
									<bean:message key="product.inventoryLevelCompact" bundle="/product"/>:
									<c:out value="${product.skuMap[prodSkuKey].inventoryLevel}"/>
								</div>
							</c:if>
							<%-- Product attributes and options --%>
							<c:if test="${objectType eq 'Product' and !denyPurchase}">
								<c:if var="notAllDenyPurchase" test="${true}"/>
							</c:if>
							<c:if test="${objectType eq 'Product' and displayAddToCart eq '1'}">
								<c:set var="product" value="${product}" scope="request"/>
								<c:set var="forceCompact" value="true" scope="request"/>
								<tiles:insert attribute="attributesAndOptions" flush="false"/>
							</c:if>
						</td>
					</tr>
				</c:if>
			</logic:iterate>
		</table>
		<c:if test="${notAllDenyPurchase and displayAddToCart eq '1'}">
			<span class="buttonWrap"><input type="submit" id="productListAddToCartButton" class="button" value="<bean:message key="productList.addToCart" bundle="/product"/>" /></span>
		</c:if>
	</form>
	</div>
</c:if>
<!-- End productList.jsp -->
