package com.softslate.commerce.administrator.administrator;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;


/**
 * Struts form class corresponding to requests to
 * "/administrator/RoleAddForm.do", "/administrator/RoleEditForm.do",
 * "/administrator/RoleAdd.do", and "/administrator/RoleEdit.do". Provides
 * properties corresponding to the fields for a single role record.
 * 
 * @author David Tobey
 * 
 */
public class RoleAddEditForm extends BaseAdministratorForm {
	private static final long serialVersionUID = 3256442491094708281L;

	static Log log = LogFactory.getLog(RoleAddEditForm.class);

	private String roleID = null;
	
	private String administratorID = null;

	private String code = null;

	private String name = null;

	private String description = null;

	public String getRoleID() {
		return roleID;
	}

	public void setRoleID(String roleID) {
		this.roleID = roleID;
	}

	public String getAdministratorID() {
		return administratorID;
	}
	public void setAdministratorID(String administratorID) {
		this.administratorID = administratorID;
	}
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getCode() == null || getCode().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Code"));
		}
		if (getName() == null || getName().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Name"));
		}
		return getErrors();
	}
}
