package com.softslate.commerce.administrator.core;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.core.Setting;

/**
 * Struts form class corresponding to requests to
 * "/administrator/UserSetting.do". Provides properties to control searching,
 * viewing, editing, and deleting records in the <code>sscSetting</code>
 * table.
 * 
 * @author Jason McWilliams
 * 
 */
public class UserSettingForm extends BaseSerializableForm {

	private static final long serialVersionUID = -5037335723435130836L;

	static Log log = LogFactory.getLog(UserSettingForm.class);

	private String idField = "settingID";

	private String nameField = "name";

	private String entityProperty = "setting";

	private Class entity = Setting.class;

	private String editMode = "false";

	private String[] searchableIntFields = { "settingID", "integerValue" };

	private String[] searchableFields = { "code", "name", "description",
			"valueType", "smallValue", "mediumValue" };

	private String[] fields = { "code", "name", "description", "valueType",
			"integerValue", "smallValue", "mediumValue", "textValue" };

	private String[] fieldLables = { "Code", "Name", "Description",
			"Value Type", "Int Value", "Small Value", "Med Value", "Text Value" };

	private String[] displayFields = { "code", "name" };

	private String sortByString = "code";

	private String sortAscOrDesc = "ASC";

	private String formAction = "/UserSetting.do";

	private String addFormAction = "/UserSettingAddForm.do";

	private String editFormAction = "/UserSettingEditForm.do";

	private String editDeleteFormAction = "/UserSettingEditDelete.do";

	private String[] userSettingID = null;

	private String[] code = null;

	private String[] name = null;

	private String[] description = null;

	private String[] type = null;

	private String[] valueType = null;

	private String[] integerValue = null;

	private String[] smallValue = null;

	private String[] mediumValue = null;

	private String[] textValue = null;

	public String[] getSettingID() {
		return userSettingID;
	}

	public void setSettingID(String[] userSettingID) {
		this.userSettingID = userSettingID;
	}

	public String[] getCode() {
		return code;
	}

	public void setCode(String[] code) {
		this.code = code;
	}

	public String[] getName() {
		return name;
	}

	public void setName(String[] name) {
		this.name = name;
	}

	public String[] getDescription() {
		return description;
	}

	public void setDescription(String[] description) {
		this.description = description;
	}

	public String[] getType() {
		return type;
	}

	public void setType(String[] type) {
		this.name = type;
	}

	public String[] getValueType() {
		return valueType;
	}

	public void setValueType(String[] valueType) {
		this.valueType = valueType;
	}

	public String[] getIntegerValue() {
		return integerValue;
	}

	public void setIntegerValue(String[] integerValue) {
		this.integerValue = integerValue;
	}

	public String[] getSmallValue() {
		return smallValue;
	}

	public void setSmallValue(String[] smallValue) {
		this.smallValue = smallValue;
	}

	public String[] getMediumValue() {
		return mediumValue;
	}

	public void setMediumValue(String[] mediumValue) {
		this.mediumValue = mediumValue;
	}

	public String[] getTextValue() {
		return textValue;
	}

	public void setTextValue(String[] textValue) {
		this.textValue = textValue;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getSortAscOrDesc() {
		return sortAscOrDesc;
	}

	public void setSortAscOrDesc(String sortAscOrDesc) {
		this.sortAscOrDesc = sortAscOrDesc;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	private String searchString = null;

	public String getSearchString() {
		return searchString;
	}

	public void setSearchString(String searchString) {
		this.searchString = searchString;
	}

	public String getEditMode() {
		return editMode;
	}

	public void setEditMode(String editMode) {
		this.editMode = editMode;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		return errors;
	}
}
