package com.softslate.commerce.administrator.product;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.product.CategoryProcessor;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.customer.core.BaseForm;

/**
 * @author David Tobey
 *  
 */
public class CategorySettingsAction extends BaseAction {

    static Log log = LogFactory.getLog(CategorySettingsAction.class);

    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {
        if (log.isDebugEnabled())
            log.debug("Starting action.");
        BaseForm baseForm = (BaseForm) form;
        Map properties = PropertyUtils.describe(form);
        try {
            CategoryProcessor categoryProcessor = (CategoryProcessor) baseForm
                    .getBusinessObjectFactory().createObject(
                            "categoryProcessorImplementer");
            request.setAttribute("categorySettings", categoryProcessor
                    .processSettings(properties));
        } catch (Exception e) {
        	log.error(e.toString(), e);
            baseForm.getErrors().add(ActionMessages.GLOBAL_MESSAGE,
                    new ActionMessage("errors.settingsError", e.toString()));
            saveErrors(request, (ActionMessages) baseForm.getErrors());
            return mapping.findForward("failure");
        }
        baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
                new ActionMessage("messages.settingsMessage"));
        if (!baseForm.getMessages().isEmpty())
            saveMessages(request, baseForm.getMessages());
        if (log.isDebugEnabled())
            log.debug("Finished with Action.");
        return mapping.findForward("success");
    }
}
