package com.softslate.commerce.administrator.shipping;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.shipping.ShippingMethod;
import com.softslate.commerce.businessobjects.shipping.ShippingMethodProcessor;
import com.softslate.commerce.customer.core.ActionUtils;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/ShippingMethodAdd.do". Processes a request to add a record to the
 * system.
 * 
 * @author David Tobey
 * 
 */
public class ShippingMethodAddAction extends BaseAction {

	static Log log = LogFactory.getLog(ShippingMethodAddAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		ShippingMethodAddEditForm baseForm = (ShippingMethodAddEditForm) form;

		// Handle generating the code from the name if it is empty
		ActionUtils actionUtils = (ActionUtils) baseForm
				.getBusinessObjectFactory().createUtilsObject(
						"actionUtilsImplementer");
		if ((baseForm.getCode() == null || baseForm.getCode().equals(""))
				&& (baseForm.getName() != null && !baseForm.getName()
						.equals(""))) {
			baseForm.setCode(actionUtils.generateCodeFromName(baseForm
					.getName()));
		}

		// Add the record
		ShippingMethodProcessor processor = (ShippingMethodProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"shippingMethodProcessorImplementer");
		Map results = processor.addShippingMethod(PropertyUtils.describe(form));

		// Set the success message
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
				new ActionMessage("messages.recordAdded"));
		if (results != null && results.get("newRecord") != null) {
			ShippingMethod newRecord = (ShippingMethod) results.get("newRecord");

			// entity.jsp wants the new record in the request scope.
			request.setAttribute("shippingMethod", newRecord);
			String link = "ShippingMethodEditForm.do?shippingMethodID=" + newRecord.getShippingMethodID();
			baseForm.getMessages()
					.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("messages.editNewRecord", link));
		}
		saveMessages(baseForm.getRequest(), baseForm.getMessages());
		
		// If successful, signal the form to be reinstantiated.
		request.setAttribute("reset", "true");

		return mapping.findForward("success");
	}
}
