package com.softslate.commerce.administrator.shipping;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;


/**
 * Struts form class corresponding to requests to
 * "/administrator/ShippingRateAddForm.do",
 * "/administrator/ShippingRateEditForm.do",
 * "/administrator/ShippingRateAdd.do", and
 * "/administrator/ShippingRateEdit.do". Provides properties corresponding to
 * the fields for a single shipping rate record.
 * 
 * @author David Tobey
 */
public class ShippingRateAddEditForm extends BaseAdministratorForm {
	private static final long serialVersionUID = 4121130350979396152L;

	static Log log = LogFactory.getLog(ShippingRateAddEditForm.class);

	private String parentName = null;

	private String shippingMethodID = null;

	private String shippingRateID = null;

	private String floor = "0";

	private String ceiling = "0";

	private String amount = "0";

	private String isActive = "true";

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getShippingRateID() {
		return shippingRateID;
	}

	public void setShippingRateID(String shippingRateID) {
		this.shippingRateID = shippingRateID;
	}

	public String getShippingMethodID() {
		return shippingMethodID;
	}

	public void setShippingMethodID(String shippingMethodID) {
		this.shippingMethodID = shippingMethodID;
	}

	public String getAmount() {
		return amount;
	}

	public void setAmount(String amount) {
		this.amount = amount;
	}

	public String getCeiling() {
		return ceiling;
	}

	public void setCeiling(String ceiling) {
		this.ceiling = ceiling;
	}

	public String getFloor() {
		return floor;
	}

	public void setFloor(String floor) {
		this.floor = floor;
	}

	public String getIsActive() {
		return isActive;
	}

	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (!addingNewRecord() && StringUtils.isEmpty(getShippingRateID())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "shippingRateID"));
		}
		if (addingAndFieldIsBlank(getShippingMethodID()) || editingAndFieldIsBeingEmptiedOut(getShippingMethodID())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Parent shippingMethodID"));
		}
		return getErrors();
	}
}
