package com.softslate.commerce.businessobjects.core;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.google.gson.Gson;

public class BasicRecaptchaProcessor extends BaseBusinessProcessor implements RecaptchaProcessor {

	static Log log = LogFactory.getLog(BasicRecaptchaProcessor.class);

	@Override
	public Map verifyRecaptcha(Map parameters) {
		Map<String, Object> response = new HashMap<String, Object>();
		try {
			parameters.put("secret", getSettings().getValue("recaptchaSecretKey"));
			String queryString = prepareRequestData(parameters, true);
			String url = getSettings().getValue("recaptchaVerificationURL");
			String responseData = sendHTTPPost(url, queryString, false);
			response = new Gson().fromJson(responseData, response.getClass());
		} catch (Exception e) {
			log.warn("Exception verifying captcha image (returning false for verification);", e);
			response.put("success", Boolean.FALSE);
			response.put("exception", "Exception verifying captcha image" + e.toString());
		}
		log.info("Recaptcha response: " + response);
		return response;
	}

}
