package com.softslate.commerce.daos.administrator;

import com.softslate.commerce.businessobjects.administrator.Administrator;
import com.softslate.commerce.daos.core.DAOInterface;
import com.softslate.commerce.daos.core.DataAccessException;

/**
 * Interface for a DAO to manage the <code>sscAdministrator</code> table of
 * the database.
 * 
 * @author David Tobey
 * 
 */
public interface AdministratorDAO extends DAOInterface {
    abstract Administrator getAdministrator();

    abstract void setAdministrator(Administrator administrator);

    public void loadFromUserNameAndPassword() throws Exception;

	public Administrator loadFromUserNameAndPassword(String administratorUserName, String administratorPassword)
			throws DataAccessException;

	public Administrator loadFromApiUserNameAndPassword(String apiLoginID, String apiAuthenticationToken)
			throws Exception;

    public void loadAdministratorByUserName() throws Exception;

	public Administrator loadAdministratorByUserName(String administratorUserName) throws DataAccessException;

    public void loadRoles() throws Exception;

	public void loadRoles(Administrator administrator) throws Exception;

    abstract void insertAdministrator() throws Exception;

    abstract void insertAdministrator(boolean commit) throws Exception;

    public void updateAdministrator() throws Exception;

    public void updateAdministrator(boolean commit) throws Exception;

    abstract void loadAdministratorFromID() throws Exception;

    abstract void deleteAdministrator() throws Exception;

    abstract void deleteAdministrator(boolean commit) throws Exception;

	abstract int administratorChangePassword(String currentDecryptedPassword, String newDecryptedPassword,
			int administratorID, String passwordExpires, String previousPasswords) throws DataAccessException;

}
