package com.softslate.commerce.daos.customer;

import com.softslate.commerce.businessobjects.customer.CustomerAddress;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscCustomerAddress</code> table of
 * the database.
 * 
 * @author David Tobey
 */
public interface CustomerAddressDAO extends DAOInterface {
    abstract CustomerAddress getCustomerAddress();

    abstract void setCustomerAddress(CustomerAddress customerAddress);

    abstract void insertCustomerAddress() throws Exception;

    abstract void insertCustomerAddress(boolean commit) throws Exception;

    abstract void updateCustomerAddress() throws Exception;

    abstract void updateCustomerAddress(boolean commit) throws Exception;

    abstract void loadCustomerAddressFromID() throws Exception;

    abstract void deleteCustomerAddress() throws Exception;

    abstract void deleteCustomerAddress(boolean commit) throws Exception;

	public void handleNewDefaultCustomerAddress() throws Exception;

}
