package com.softslate.commerce.daos.product;

import com.softslate.commerce.businessobjects.product.CategorySetting;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscCategorySetting</code> table of the
 * database.
 * 
 * @author David Tobey
 */
public interface CategorySettingDAO extends DAOInterface {
	abstract CategorySetting getCategorySetting();

	abstract void setCategorySetting(CategorySetting categorySetting);

	abstract void loadCategorySettingFromID() throws Exception;

	abstract void insertCategorySetting() throws Exception;

	abstract void insertCategorySetting(boolean commit) throws Exception;

	abstract void updateCategorySetting() throws Exception;

	abstract void updateCategorySetting(boolean commit) throws Exception;

	abstract void deleteCategorySetting() throws Exception;

	abstract void deleteCategorySetting(boolean commit) throws Exception;
}
