package com.softslate.commerce.daos.product;

import com.softslate.commerce.businessobjects.product.SKU;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscSKU</code> table of the
 * database.
 * 
 * @author David Tobey
 */
public interface SKUDAO extends DAOInterface {
	abstract SKU getSKU();

	abstract void setSKU(SKU sku);

	abstract void loadSKUFromID() throws Exception;
	
	abstract void loadSKUFromSKUNumber() throws Exception;
	
	abstract void loadProductSKU() throws Exception;

	abstract void insertSKU() throws Exception;

	abstract void insertSKU(boolean commit) throws Exception;

	abstract void updateSKU() throws Exception;

	abstract void updateSKU(boolean commit) throws Exception;

	abstract void deleteSKU() throws Exception;

	abstract void deleteSKU(boolean commit) throws Exception;
}
