package com.softslate.commerce.daos.shipping;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO that runs miscellaneous queries related to shipping
 * methods.
 * 
 * @author David Tobey
 * @version $Id: ShippingMethodGatewayDAO.java,v 1.1 2005/02/10 01:54:01 dtobey
 *          Exp $
 */
public interface ShippingMethodGatewayDAO extends DAOInterface {
    abstract Map loadShippingMethodsAndCount(Map parameters) throws Exception;

    abstract Map editDeleteShippingMethods(Map parameters,
            BusinessObjectFactory bof) throws Exception;

    abstract Collection loadActiveMethodsAndRates() throws Exception;

    abstract Collection loadActiveRatesByMethodCode(String code)
            throws Exception;

	abstract Collection loadRatesByMethodCode(String code) throws Exception;
}
