<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<bean:define id="itemCount" name="itemCount" type="java.lang.Integer"/>
<bean:define id="itemsPerPage" name="mainForm" property="itemsPerPage" type="java.lang.String"/>
<bean:define id="firstRow" name="mainForm" property="firstRow" type="java.lang.String"/>

<%
	int itemCountInt = itemCount.intValue();
	int itemsPerPageInt = Integer.parseInt(itemsPerPage);
	int firstRowInt = Integer.parseInt(firstRow);
	int numberOfPagesInt = ((itemCountInt - 1) / itemsPerPageInt) + 1;
	int currentPageInt = firstRowInt / itemsPerPageInt;
	if (itemsPerPageInt != 1) {
		currentPageInt = currentPageInt + 1;
	}
%>

<!-- Start pagination.jsp -->
<div class="pagination">
	<form name="paginationForm" action="<c:out value="${formAction}"/>" method="post">
		<html:hidden name="mainForm" property="firstRow"/>
		<html:hidden name="mainForm" property="editMode"/>
		<html:hidden name="mainForm" property="searchString"/>
		<html:hidden name="mainForm" property="sortByString"/>
		<html:hidden name="mainForm" property="sortAscOrDesc"/>
		<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
		<logic:iterate collection="<%= displayFieldArray %>" id="displayField" type="java.lang.String">
			<input type="hidden" name="displayFields" value="<%= displayField %>" />
		</logic:iterate>
		<c:if test="${!empty parentIDField}">
			<input type="hidden" name="parentIDField" value="<c:out value="${parentIDField}"/>"/>
			<input type="hidden" name="<c:out value="${parentIDField}"/>" value="<c:out value="${parentIDValue}"/>"/>
		</c:if>
		<c:if test="${(mainForm.entityProperty eq 'attribute' or mainForm.entityProperty eq 'option' or mainForm.entityProperty eq 'discountRange') and !empty mainForm.productID}">
			<html:hidden name="mainForm" property="productID"/>
		</c:if>
		<c:if test="${mainForm.entityProperty eq 'discountRange' and !empty mainForm.skuID}">
			<html:hidden name="mainForm" property="skuID"/>
		</c:if>
		<c:if test="${mainForm.entityProperty eq 'order' and !empty mainForm.workWithOrders}">
			<html:hidden name="mainForm" property="workWithOrders"/>
		</c:if>
		<c:if test="${mainForm.entityProperty eq 'category' and !empty mainForm.workWithCategories}">
			<html:hidden name="mainForm" property="workWithCategories"/>
		</c:if>
		<c:if test="${mainForm.entityProperty eq 'requestLog' and !empty mainForm.workWithRequests}">
			<html:hidden name="mainForm" property="workWithRequests"/>
		</c:if>
		<c:if test="${!empty mainForm.assignments}">
			<html:hidden name="mainForm" property="assignments"/>
		</c:if>
		<bean:message key="administrator.itemsPerPage" bundle="/administrator/administrator"/>: 
		<html:text name="mainForm" property="itemsPerPage" size="3"/>
		<input type="submit" class="button" onclick="document.forms.paginationForm.firstRow.value='1'" value="<bean:message key="administrator.go" bundle="/administrator/administrator"/>"/>
		&nbsp;&nbsp;&nbsp;&nbsp;
		<%
			if (numberOfPagesInt > 1 && numberOfPagesInt < 10001) {
		%>
			<select name="jumpToSelect" onchange="document.forms.paginationForm.firstRow.value=document.forms.paginationForm.jumpToSelect.value;document.forms.paginationForm.submit();">
				<option value="<%=Integer.toString(firstRowInt)%>"><bean:message key="administrator.jump" bundle="/administrator/administrator"/>:</option>
		<%
			int pageCount = 0;
			for (int p = 0; p < itemCountInt; p = p + itemsPerPageInt) {
				pageCount++;
		%>
				<option value="<%=Integer.toString(p)%>"><%=Integer.toString(pageCount)%></option>
		<%
			}
		%>
			</select>
		<%
			} else if (numberOfPagesInt > 10000) {
		%>
			<bean:message key="administrator.jump" bundle="/administrator/administrator"/>:
			<input type="text" name="jumpToText" size="3" />
			<input type="submit" class="button" onclick="document.forms.paginationForm.firstRow.value=((document.forms.paginationForm.jumpToText.value - 1) * <%= itemsPerPageInt %>) + 1" value="<bean:message key="administrator.go" bundle="/administrator/administrator"/>"/>
		<%
			}
		%>
		&nbsp;&nbsp;&nbsp;&nbsp;
		<%
			if (numberOfPagesInt > 1) {
				int firstRowOfPreviousPage = ((currentPageInt - 2) * itemsPerPageInt) + 1;
				int firstRowOfNextPage = (currentPageInt * itemsPerPageInt) + 1;
		%>
		<%
			if (firstRowOfPreviousPage > 0) {
		%>
				<input type="submit" class="button" onclick="document.forms.paginationForm.firstRow.value='<%= firstRowOfPreviousPage %>'" value="<bean:message key="administrator.previous" bundle="/administrator/administrator"/>"/>
		<%
			}
		%>
		<bean:message key="administrator.pagePhrase" bundle="/administrator/administrator" arg0="<%= Integer.toString(currentPageInt) %>" arg1="<%= Integer.toString(numberOfPagesInt)%>"/>
		<%
			if (firstRowOfNextPage <= itemCountInt) {
		%>
				<input type="submit" class="button" onclick="document.forms.paginationForm.firstRow.value='<%= firstRowOfNextPage %>'" value="<bean:message key="administrator.next" bundle="/administrator/administrator"/>"/>
		<%
			}
		%>
		<%
			}
		%>
	</form>
</div>
<!-- End pagination.jsp -->
