<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start welcome.jsp -->
<logic:present role="superuser,administrator,welcomeScreenViewer">
<bean:define id="currencyCode" name="settings" property="value(currencyCode)"/>
<table id="snapshotTable" class="grid">
	<tr>
		<th class="mainHead">Recent Activity</th>
		<th>Number of Orders</th>
		<th>Number of Products</th>
		<th>Total</th>
	</tr>
	<logic:iterate name="incompleteStatistics" id="stat" indexId="i" length="1">
		<tr class="anomalousRow">
			<td class="period">
				Current Shoppers (incomplete orders)
			</td>
			<td><c:choose><c:when test="${empty stat.numberOfOrders}">0</c:when><c:otherwise><c:out value="${stat.numberOfOrders}"/></c:otherwise></c:choose></td>
			<td><c:choose><c:when test="${empty stat.numberOfProducts}">0</c:when><c:otherwise><c:out value="${stat.numberOfProducts}"/></c:otherwise></c:choose></td>
			<td>&#8212;</td>
		</tr>
	</logic:iterate>
	<logic:iterate name="statistics" id="stat" indexId="i">
		<tr>
			<td class="period">
				<c:if test="${i eq '0'}">Completed <bean:message key="administrator.last24Hours" bundle="/administrator/administrator"/>
				</c:if>
				<c:if test="${i eq '1'}">Completed <bean:message key="administrator.last7Days" bundle="/administrator/administrator"/>
				</c:if>
				<c:if test="${i eq '2'}">Completed <bean:message key="administrator.last30Days" bundle="/administrator/administrator"/>
				</c:if>
				<c:if test="${i eq '3'}">Completed <bean:message key="administrator.allTime" bundle="/administrator/administrator"/>
				</c:if>
			</td>
			<td><c:choose><c:when test="${empty stat.numberOfOrders}">0</c:when><c:otherwise><c:out value="${stat.numberOfOrders}"/></c:otherwise></c:choose></td>
			<td><c:choose><c:when test="${empty stat.numberOfProducts}">0</c:when><c:otherwise><c:out value="${stat.numberOfProducts}"/></c:otherwise></c:choose></td>
			<td><c:choose><c:when test="${empty stat.totalRevenue}"><fmt:formatNumber type="currency" currencyCode="${currencyCode}">0</fmt:formatNumber></c:when><c:otherwise><fmt:formatNumber type="currency" currencyCode="${currencyCode}"><c:out value="${stat.totalRevenue}"/></fmt:formatNumber></c:otherwise></c:choose></td>
		</tr>
	</logic:iterate>
</table>

<div class="helpLinks twocolumn">
	<h3 class="administratorSubhead">Start Up Tasks</h3>
	<ul class="helpLinkList">
		<li><a href="ProductAddForm.do">Add Products</a></li>
		<li><a href="ShippingSettings.do">Configure Shipping</a></li>
		<li><a href="PaymentSettings.do">Configure Payments</a></li>
		<li><a href="SettingsEmail.do">Set up Outgoing Emails</a></li>
	</ul>
</div>

<div class="helpLinks twocolumn">
	<h3 class="administratorSubhead">Common Maintenance Tasks</h3>
	<ul class="helpLinkList">
		<li><a href="Product.do?reset=true">Manage Products</a></li>
		<li><a href="Category.do?reset=true">Manage Categories</a></li>
		<li><a href="Order.do?reset=true">Review Orders</a></li>
		<li><a href="ExportForm.do?tableName=sscorder">Export Orders</a></li>
		<li><a href="OrderAddForm.do">Enter a New Order</a></li>
	</ul>
</div>

<div class="helpLinks twocolumn" style="width: 100%">
	<h3 class="administratorSubhead">How Do I ...</h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Get Up and Running Quickly">
				<p>To get started working with SoftSlate Commerce, we encourage you to check out the 
				<a href="http://www.softslate.com/documentation/html/gettingStarted.html">Getting Started</a> chapter of the User Guide.</p>
				<p>That chapter explains how to add your first product and category, and place your first test order.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Customize the Look and Feel of the Store">
				<p>There are lots of possibilities for customizing how your store looks:</p>
				<ul class="normal">
					<li>Upload your own logo for the store by using the <a href="SettingsStoreLogo.do">Store Logo Upload form</a>.</li>
					<li>Define your store's look and feel theme with the <a href="SettingsThemes.do">Themes form</a>.</li>
					<li>Define other basic display settings with the <a href="SettingsGeneralDisplay.do">General Display Settings form</a>.</li>
					<li>For more possibilities, please visit the <a href="http://www.softslate.com/documentation/html/guideForDesigners.html">Guide for Designers</a> in the User Guide.</li>
				</ul>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Confirm that Customers Are Able to Place Orders">
				<p>The best way to make sure your customers are able to place orders successfully is to place a test order yourself.
				We encourage you to do this on a regular basis to make sure a problem of some kind hasn't been introduced.</p>
				<p>With a fresh installation of SoftSlate Commerce, the "Basic Payment Processor" is in effect, meaning you can go through
				checkout and place a test order using 4111111111111111 as the credit card number, VISA as the card type, and any 
				future date as the card's expiration date.</p>
				<p>If you've enabled the integration with one of the payment gateways such as Authroize.net or Payflow Pro, you can
				place a test order using your real credit card, and then void the charge in the online management tools these
				gateways provide. To eliminate any costly transaction fees, you can create a test product whose price is 
				just $1 to use for the test order, and deactivate the test product when you're done.</p>
				<p>For more information, please visit the <a href="http://www.softslate.com/documentation/html/gettingStarted.html">Getting Started</a> chapter of the User Guide.</p> 
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Troubleshoot an Error">
				<p>Here are a few things to try if you are experiencing an error:</p>
				<ol class="normal">
					<li>
						<p>If you haven't already, set up a log file so you can see the
							complete details of the error. To set up a log file, edit the
							/WEB-INF/classes/log4j.properties
							file and modify the path to the log file to a valid path on your
							server. Note that the file must be
							writable by your application server. You
							must restart the application server for it to use the new log4j
							settings.</p>
						<p>Any exception created by the application should be logged in the
							file. Often this is enough to figure out what's gone wrong.</p>
					</li>
					<li>
						<p>If you are unable to fix the problem from the log file, review the 
						<a href="http://www.softslate.com/forums">User Forums</a> for postings related to the problem your
							having. Post a new topic describing your issue in detail. </p>
					</li>
					<li>
						<p>To ask SoftSlate for support, email us at <a href="mailto:info@softslate.com">info@softslate.com</a>, 
						or visit <a href="http://www.softslate.com/getHelp.html">our support page</a> to learn about your options for purchasing formal support.</p>
					</li>
				</ol>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Enter a New Order from the Administrator">
				<p>To enter a new order into the system, follow these steps:</p>
				<ul class="normal">
					<li>From the <a href="Order.do">Order Control Screen</a> click the "Add new record" link, 
					or from the Administrator's home page, click the link to "Enter a New Order".</li>
					<li>As you click either of those links, a new, empty order will be created for you and 
					you'll be on the Overview screen for the new order. </li>
					<li>Start filling it in from the top of the screen, by clicking the "Edit" links under the
					billing and delivery address.</li>
					<li>Use the "Add Item" link to add items to the order, and "Add Coupon" to add coupons.</li>
					<li>If shipping is required, click the "Edit" link under Shipping to choose a shipping method.</li>
					<li>Once all the required elements are in place, the forms for the active payment methods allowed by
					the system will appear. Fill in the payment information and click the "Place Order" button.</li>
					<li>That's it! The order will be assigned an order number and marked Complete in the system.</li>
				</ul>
			</ssc:help>
		</li>
	</ul>
</div>
</logic:present>
<!-- End welcome.jsp -->
