<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="encryptionType" name="settings" property="value(customerEncryptionType)" type="java.lang.String"/>

<!-- Start customerFormGuts.jsp -->
<tr class="row">
	<td class="property setting">User Name:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="userName" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Password:</td>
	<td class="value">
		<logic:equal name="editing" value="true">
			<logic:notEqual name="encryptionType" value="oneWay">
				<logic:notEqual name="encryptionType" value="keyPairNoStore">
					<logic:present role="superuser,customerPasswordEditor">
						<html:text name="customerAddEditForm" property="decryptedPassword" maxlength="255" styleClass="textbox"/>
					</logic:present>
					<logic:notPresent role="superuser,customerPasswordEditor">
						<html:hidden name="customerAddEditForm" property="decryptedPassword" value="[noPermission]"/>
						[You must have Superuser or 'Customer Password Editor' permissions to view or edit the password.]
					</logic:notPresent>
				</logic:notEqual>
			</logic:notEqual>
			<logic:equal name="encryptionType" value="oneWay">
				<html:hidden name="customerAddEditForm" property="decryptedPassword" value="[oneWayEncryption]"/> 
				[Encrypted]
			</logic:equal>
			<logic:equal name="encryptionType" value="keyPairNoStore">
				<html:hidden name="customerAddEditForm" property="decryptedPassword" value="[keyPairNoStoreEncryption]"/>
				[Encrypted]
			</logic:equal>
		</logic:equal>
		<logic:equal name="editing" value="false">
			<html:text name="customerAddEditForm" property="decryptedPassword" maxlength="255" styleClass="textbox"/>
		</logic:equal>
	</td>
</tr>
<logic:equal name="editing" value="true">
	<tr class="row">
		<td class="property setting">Created:</td>
		<td class="value">
			<bean:write name="customerAddEditForm" property="created"/>
			<html:hidden name="customerAddEditForm" property="created"/>
		</td>
	</tr>
	<tr class="altRow">
		<td class="property setting">Last Login:</td>
		<td class="value">
			<logic:empty name="customerAddEditForm" property="lastLogin">
				[No Logins]
			</logic:empty>
			<logic:notEmpty name="customerAddEditForm" property="lastLogin">
				<bean:write name="customerAddEditForm" property="lastLogin"/>
			</logic:notEmpty>
			<html:hidden name="customerAddEditForm" property="lastLogin"/>
		</td>
	</tr>
</logic:equal>
<tr class="row">
	<td class="property setting">Auto Login Token:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="autoLoginToken" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Status:</td>
	<td class="value">
		<select name="status">
			<option value="">[None]</option>
			<c:if var="foundStatus" test="${false}"/>
			<c:forTokens var="stat" varStatus="current" items="${settings.map.possibleCustomerStatuses}" delims=",">
				<% pageContext.setAttribute("stat", ((String) pageContext.getAttribute("stat")).trim()); %>
				<option value="<c:out value="${stat}"/>"<c:if test="${stat eq customerAddEditForm.status}"> selected="selected"<c:if var="foundStatus" test="${true}"/></c:if>><c:out value="${stat}"/></option>
			</c:forTokens>
			<c:if test="${!foundStatus}">
				<option value="<c:out value="${customerAddEditForm.status}"/>" selected="selected"><c:out value="${customerAddEditForm.status}"/></option>
			</c:if>
		</select>
	</td>
</tr>
<tr class="row">
	<td class="property setting">First Name:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="firstName" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Last Name:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="lastName" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Organization:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="organization" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Address 1:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="address1" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Address 2:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="address2" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">City:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="city" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">State:</td>
	<td class="value">
		<html:select name="customerAddEditForm" property="state">
			<option value="">Select</option>
			<option value="">-------------</option>
			<html:options collection="states" property="code" labelProperty="name"/>
		</html:select>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Postal Code:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="postalCode" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Country:</td>
	<td class="value">
		<html:select name="customerAddEditForm" property="country">
			<option value="">Select</option>
			<option value="">-------------</option>
			<html:options collection="countries" property="code" labelProperty="name"/>
		</html:select>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Phone 1:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="phone1" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Phone 2:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="phone2" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Email 1:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="email1" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Email 2:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="email2" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">CIM Profile ID:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="cimProfileID" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Password Token:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="passwordToken" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Password Token Date:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="passwordTokenDate" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Password Expires:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="passwordExpires" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Number Of Failed Logins:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="numberOfFailedLogins" styleClass="number"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Locked Out Until:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="lockedOutUntil" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Can Use Purchase Order (PO)?:</td>
	<td class="value">
		<html:radio name="customerAddEditForm" property="canUsePO" value="true" styleId="canUsePO-true" styleClass="radiobtn"/> <label for="canUsePO-true">yes</label>
		<html:radio name="customerAddEditForm" property="canUsePO" value="false" styleId="canUsePO-false" styleClass="radiobtn"/> <label for="canUsePO-false">no</label>
		<div class="fieldDescription">If yes, this customer will be allowed to enter a Purchase Order number as a form of payment (and not enter other payment information).</div>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Extra 1:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="extra1" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Extra 2:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="extra2" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Extra 3:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="extra3" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Extra 4:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="extra4" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Extra 5:</td>
	<td class="value">
		<html:text name="customerAddEditForm" property="extra5" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Notes:</td>
	<td class="value">
		<html:textarea rows="10" name="customerAddEditForm" property="notes"/>
	</td>
</tr>
<logic:present role="superuser,customerPasswordEditor">
	<tr class="altRow">
		<td class="property setting">Previous Passwords:</td>
		<td class="value">
			<html:textarea rows="5" name="customerAddEditForm" property="previousPasswords"/>
		</td>
	</tr>
</logic:present>

<!-- End customerFormGuts.jsp -->
