<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start googlesitemapsForm.jsp -->
<% java.util.Calendar now = java.util.Calendar.getInstance(); %>
<c:set var="thisYear"><%= now.get(java.util.Calendar.YEAR) %></c:set>

<div class="instructions">
	Use this form to generate a Google Sitemaps file in Google's Sitemap Protocol format.
	To submit the file to Google, you must first create a <a href="http://www.google.com/webmasters/sitemaps/">Google Webmaster Tools</a> account.
	Log in to your account, add your site to the account, and then click the "Add Sitemap" link to add the sitemap.
</div>

<div class="notes">
	<ul class="notesList">
		<li class="note">
			The generated file will contain listings for the store's active product and category pages. 
			Your website may have additional pages that you will want to add to the generated file before submitting to Google.<br/>
		</li>
		<li class="warning">
			To avoid taxing the server, the number of products exported will be capped at <c:out value="${settings.map.maxRecordsProcessed}"/>.
			To adjust this cap, edit the "Max Records Processed" setting on the <a href="SettingsAdvancedSystem.do">Advanced System Settings</a> screen.
		</li>
	</ul>
</div>

<br/><br/> 

<html:form action="/GoogleSitemapsProcess" method="post">
	<table class="settingsTable">
	
		<tr class="row">
			<td class="setting"><label for="downloadOrWriteFile">Where to Generate the Export:</label></td>
			<td class="value" colspan="2">
				<html:select name="googleSitemapsForm" property="downloadOrWriteFile" styleId="downloadOrWriteFile">
					<html:option value="write">Write the file to the below directory on the server.</html:option>
					<html:option value="download">Download the file to me through the browser.</html:option>
					<html:option value="both">Both write the file and download it through the browser.</html:option>
				</html:select>
				<div class="fieldDescription">How should the export file be generated?</div>
			</td>
		</tr>
		
		<tr class="altRow">
			<td class="setting"><label for="fileName">Export File Name:</label></td>
			<td class="value" colspan="2">
				<html:text name="googleSitemapsForm" property="fileName" styleId="fileName"/>
				<div class="fieldDescription">The name of the export file.</div>
			</td>
		</tr>
		
		<tr class="row">
			<td class="setting"><label for="directoryOnServer">Directory on Server to Write File:</label></td>
			<td class="value" colspan="2">
				<c:choose>
					<c:when test="${empty googleSitemapsForm.directoryOnServer}">
						<input size="60" type="text" name="directoryOnServer" value="<%= session.getServletContext().getRealPath("/") %>" />
					</c:when>
					<c:otherwise>
						<html:text size="60" name="googleSitemapsForm" property="directoryOnServer" styleId="directoryOnServer"/>
					</c:otherwise>
				</c:choose>
				<div class="fieldDescription">The directory on the server to write the export file to (if it's being written).</div>
			</td>
		</tr>

    	<tr class="altRow">
			<td class="setting">Last Modified Date:</td>
			<td class="value">
				Default Last Modified Date:
			</td>
			<td class="value">
				Last Modified Date Field Name:
			</td>
		</tr>
    	<tr class="altRow">
			<td>&nbsp;</td>
			<td class="value">
				<html:select name="googleSitemapsForm" property="globalLastmodYear">
					<html:option value="">Year</html:option>
					<html:option value="${thisYear}">
						<c:out value="${thisYear}" />
					</html:option>
					<html:option value="${thisYear - 1}">
						<c:out value="${thisYear - 1}" />
					</html:option>
					<html:option value="${thisYear - 2}">
						<c:out value="${thisYear - 2}" />
					</html:option>
					<html:option value="${thisYear - 3}">
						<c:out value="${thisYear - 3}" />
					</html:option>
					<html:option value="${thisYear - 4}">
						<c:out value="${thisYear - 4}" />
					</html:option>
					<html:option value="${thisYear - 5}">
						<c:out value="${thisYear - 5}" />
					</html:option>
					<html:option value="${thisYear - 6}">
						<c:out value="${thisYear - 6}" />
					</html:option>
					<html:option value="${thisYear - 7}">
						<c:out value="${thisYear - 7}" />
					</html:option>
					<html:option value="${thisYear - 8}">
						<c:out value="${thisYear - 8}" />
					</html:option>
					<html:option value="${thisYear - 9}">
						<c:out value="${thisYear - 9}" />
					</html:option>
					<html:option value="${thisYear - 10}">
						<c:out value="${thisYear - 10}" />
					</html:option>
					<html:option value="${thisYear - 11}">
						<c:out value="${thisYear - 11}" />
					</html:option>
					<html:option value="${thisYear - 12}">
						<c:out value="${thisYear - 12}" />
					</html:option>
					<html:option value="${thisYear - 13}">
						<c:out value="${thisYear - 13}" />
					</html:option>
					<html:option value="${thisYear - 14}">
						<c:out value="${thisYear - 14}" />
					</html:option>
					<html:option value="${thisYear - 15}">
						<c:out value="${thisYear - 15}" />
					</html:option>
					<html:option value="${thisYear - 16}">
						<c:out value="${thisYear - 16}" />
					</html:option>
					<html:option value="${thisYear - 17}">
						<c:out value="${thisYear - 17}" />
					</html:option>
					<html:option value="${thisYear - 18}">
						<c:out value="${thisYear - 18}" />
					</html:option>
					<html:option value="${thisYear - 19}">
						<c:out value="${thisYear - 19}" />
					</html:option>
				</html:select>
				<html:select name="googleSitemapsForm" property="globalLastmodMonth">
					<html:option value="">Mon</html:option>
					<html:option value="01">1</html:option>
					<html:option value="02">2</html:option>
					<html:option value="03">3</html:option>
					<html:option value="04">4</html:option>
					<html:option value="05">5</html:option>
					<html:option value="06">6</html:option>
					<html:option value="07">7</html:option>
					<html:option value="08">8</html:option>
					<html:option value="09">9</html:option>
					<html:option value="10">10</html:option>
					<html:option value="11">11</html:option>
					<html:option value="12">12</html:option>
				</html:select>
				<html:select name="googleSitemapsForm" property="globalLastmodDay">
					<html:option value="">Day</html:option>
					<html:option value="01">1</html:option>
					<html:option value="02">2</html:option>
					<html:option value="03">3</html:option>
					<html:option value="04">4</html:option>
					<html:option value="05">5</html:option>
					<html:option value="06">6</html:option>
					<html:option value="07">7</html:option>
					<html:option value="08">8</html:option>
					<html:option value="09">9</html:option>
					<html:option value="10">10</html:option>
					<html:option value="11">11</html:option>
					<html:option value="12">12</html:option>
					<html:option value="13">13</html:option>
					<html:option value="14">14</html:option>
					<html:option value="15">15</html:option>
					<html:option value="16">16</html:option>
					<html:option value="17">17</html:option>
					<html:option value="18">18</html:option>
					<html:option value="19">19</html:option>
					<html:option value="20">20</html:option>
					<html:option value="21">21</html:option>
					<html:option value="22">22</html:option>
					<html:option value="23">23</html:option>
					<html:option value="24">24</html:option>
					<html:option value="25">25</html:option>
					<html:option value="26">26</html:option>
					<html:option value="27">27</html:option>
					<html:option value="28">28</html:option>
					<html:option value="29">29</html:option>
					<html:option value="30">30</html:option>
					<html:option value="31">31</html:option>
				</html:select>
			</td>
			<td class="value">
				<html:text name="googleSitemapsForm" property="lastmodField"/>
			</td>
		</tr>
    	<tr class="altRow">
			<td>&nbsp;</td>
			<td class="value">
				The value to use for the last modified date for all pages where the last modified field name is undefined. <b>Please refer to <a href="http://base.google.com/support/bin/answer.py?answer=30013">Google's Date Guidelines</a></b>. (Leave alone to not include this field in the export.)
			</td>
			<td class="value">
				The field name (eg. extra1, extra2, or extra2) in the product and category database tables where each product or category's last modified date is defined.
			</td>
		</tr>
    	<tr>
			<td class="setting">Change Frequency:</td>
			<td class="value">
				Default Change Frequency:
			</td>
			<td class="value">
				Change Frequency Field Name:
			</td>
		</tr>
    	<tr>
			<td>&nbsp;</td>
			<td class="value">
				<html:select name="googleSitemapsForm" property="globalChangefreq">
					<html:option value="">[Don't Include in Export]</html:option>
					<html:option value="always">always</html:option>
					<html:option value="hourly">hourly</html:option>
					<html:option value="daily">daily</html:option>
					<html:option value="weekly">weekly</html:option>
					<html:option value="monthly">monthly</html:option>
					<html:option value="yearly">yearly</html:option>
					<html:option value="never">never</html:option>
				</html:select>
			</td>
			<td class="value">
				<html:text name="googleSitemapsForm" property="changefreqField"/>
			</td>
		</tr>
    	<tr>
			<td>&nbsp;</td>
			<td class="value">
				The value to use for the change frequency for all pages where the change frequency field name is undefined. (Leave alone to not include this field in the export.)
			</td>
			<td class="value">
				The field name (eg. extra1, extra2, or extra2) in the product and category database tables where each product or category's change frequency is defined.
			</td>
		</tr>
    	<tr class="altRow">
			<td class="setting">Priority:</td>
			<td class="value">
				Default Priority:
			</td>
			<td class="value">
				Priority Field Name:
			</td>
		</tr>
    	<tr class="altRow">
			<td>&nbsp;</td>
			<td class="value">
				<html:text size="5" name="googleSitemapsForm" property="globalPriority"/>
			</td>
			<td class="value">
				<html:text name="googleSitemapsForm" property="priorityField"/>
			</td>
		</tr>
    	<tr class="altRow">
			<td>&nbsp;</td>
			<td class="value">
				The value to use for the priority for all pages where the priority field name is undefined. The range must be from 0.0 to 1.0. (Leave alone to not include this field in the export.)
			</td>
			<td class="value">
				The field name (eg. extra1, extra2, or extra2) in the product and category database tables where each product or category's priority is defined.
			</td>
		</tr>
	</table>
	<logic:equal name="editPermission" value="true">
    	<div class="saveSettings">
			<input type="submit" class="button" value="<bean:message key="administrator.downloadExport" bundle="/administrator/administrator"/>"/>
		</div>
	</logic:equal>
</html:form>
<!-- End googlesitemapsForm.jsp -->
