<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.customer.core.BaseForm" %>
<%@ page import="com.softslate.commerce.businessobjects.core.User" %>
<%@ page import="com.softslate.commerce.businessobjects.order.Order" %>

<!-- Start orderOverview.jsp -->
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />
<div id="orderOverview" class="overview">
	
	<p class="instructions dontPrint">
		Use the Edit, Remove, and Add Item links to manage the various aspects of this order.  
		Click here to <input type="button" onclick="window.print();return false" value="<bean:message key="order.print" bundle="/order" />"/>
		this overview screen.<br/>
	</p>
	
	<c:if test="${empty order}">
		<c:set var="order" value="${user.order}"/>
	</c:if>
	
	<%--General order information--%>
	<table id="generalOrderInformation" class="tabDetails" cellspacing="0" summary="Order Overview">
		<tr>
			<th colspan="2">
				Order/Billing Information
			</th>
			<th>
				Delivery Information
			</th>
		</tr>
		<tr>
			<td id="billingEdit" class="edit">
				<logic:present role="superuser,administrator,orderEdit">		
					<c:if test="${!empty order.orderNumber}">
						<br />
					</c:if>
					<c:if test="${!empty order.completed}">
						<br />
					</c:if>
					<a href="#" id="editBillingA" class="dontPrint enterpriseFeature">Edit&nbsp;&raquo;</a>
				</logic:present>
			</td>
			<td id="billingInformation">
				<c:if test="${!empty order.orderNumber}">
					<strong class="label"><bean:message key="order.orderNumber" bundle="/order" />:</strong> <c:out value="${order.orderNumber}" />
					<br />
				</c:if>
				<c:if test="${!empty order.completed}">
					<fmt:parseDate value="${order.completed}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" />
					<strong class="label"><bean:message key="order.completedDate" bundle="/order" />:</strong> <fmt:formatDate value="${parsed}" type="both" />
					<br />
				</c:if>
				<%-- Edit Billing Ajax Tool. See /administrator/ajax/editBilling.js --%>
				<form id="editBillingForm">
					<input type="hidden" name="orderID" value="${order.orderID}"/>
					<div id="editBillingModule">
						<div class="bd">
							<c:if test="${!empty order.trackingNumber}">
								<strong class="label"><bean:message key="order.trackingNumber" bundle="/order" />:</strong> <c:out value="${order.trackingNumber}" />
								<br />
							</c:if>
							<c:if test="${!empty order.status}">
								<strong class="label"><bean:message key="order.status" bundle="/order" />:</strong> <c:out value="${order.status}" />
								<br />
							</c:if>
							<c:if test="${!empty order.statusDetails}">
								<strong class="label"><bean:message key="order.statusDetails" bundle="/order" />:</strong> <c:out value="${order.statusDetails}" />
								<br/>
							</c:if>
							<c:out value="${order.billingFirstName}" />
							<c:out value="${order.billingLastName}" />
							<br />
							<c:if test="${!empty order.billingOrganization}">
								<c:out value="${order.billingOrganization}" />
								<br />
							</c:if>
							<address>
								<c:if test="${!empty order.billingAddress1}">
									<c:out value="${order.billingAddress1}" />
									<br />
								</c:if>
								<c:if test="${!empty order.billingAddress2}">
									<c:out value="${order.billingAddress2}" />
									<br />
								</c:if>
								<c:out value="${order.billingCity}" />
								<c:if test="${!empty order.billingState and order.billingState ne 'Other'}">,
									<c:out value="${order.billingState}" />&nbsp;
								</c:if>
								<c:out value="${order.billingPostalCode}" />
								<br />
								<c:if test="${!empty order.billingCountry}">
									<c:out value="${statesAndCountries.countryMap[order.billingCountry].name}" />
									<br />
								</c:if>
							</address>
							<c:if test="${!empty order.billingPhone1}">
								<c:out value="${order.billingPhone1}" />
								<br />
							</c:if>
							<c:if test="${!empty order.billingEmail1}">
								<c:out value="${order.billingEmail1}" />
								<br />
							</c:if>
						</div>
					</div>
					<div id="editBillingResultsModule"><div class="bd"></div></div>
				</form>
			</td>
			<td id="deliveryInformation">
				<table>
					<logic:iterate name="order" property="orderDeliveryCollection" id="delivery" indexId="i">
						<tr>
							<td id="deliveryEdit" class="edit">
								<logic:present role="superuser,administrator,orderDeliveryEdit">		
									<a href="#" id="editDeliveryA" class="dontPrint enterpriseFeature">Edit&nbsp;&raquo;</a>
								</logic:present>
							</td>
							<td id="deliveryInfoData">
								<%-- Edit Delivery Ajax Tool. See /administrator/ajax/editDelivery.js --%>
								<form id="editDeliveryForm">
									<input type="hidden" name="orderID" value="${order.orderID}"/>
									<input type="hidden" name="orderDeliveryID" value="${delivery.orderDeliveryID}"/>
									<div id="editDeliveryModule">
										<div class="bd">
											<c:out value="${delivery.deliveryFirstName}" />
											<c:out value="${delivery.deliveryLastName}" />
											<br />
											<c:if test="${!empty delivery.deliveryOrganization}">
												<c:out value="${delivery.deliveryOrganization}" />
												<br />
											</c:if>
											<address>
												<c:if test="${!empty delivery.deliveryAddress1}">
													<c:out value="${delivery.deliveryAddress1}" />
													<br />
												</c:if>
												<c:if test="${!empty delivery.deliveryAddress2}">
													<c:out value="${delivery.deliveryAddress2}" />
													<br />
												</c:if>
												<c:out value="${delivery.deliveryCity}" />
												<c:if test="${!empty delivery.deliveryState and delivery.deliveryState ne 'Other'}">,
													<c:out value="${delivery.deliveryState}" />&nbsp;
												</c:if>
												<c:out value="${delivery.deliveryPostalCode}" />
												<br />
												<c:if test="${!empty delivery.deliveryCountry}">
													<c:out value="${statesAndCountries.countryMap[delivery.deliveryCountry].name}" />
													<br />
												</c:if>
											</address>
											<c:if test="${!empty delivery.deliveryPhone1}">
												<c:out value="${delivery.deliveryPhone1}" />
												<br />
											</c:if>
											<c:if test="${!empty delivery.deliveryEmail1}">
												<c:out value="${delivery.deliveryEmail1}" />
												<br />
											</c:if>
										</div>
									</div>
									<div id="editDeliveryResultsModule"><div class="bd"></div></div>
								</form>
							</td>
						</tr>
					</logic:iterate>
				</table>
			</td>
		</tr>
	</table>
	
	<%--Order items--%>
	<table id="orderItems" class="tabDetails overviewItems" cellspacing="0" summary="Your order contents.">
		<tr>
			<logic:present role="superuser,administrator,orderItemEdit"><th>&nbsp;</th></logic:present>
			<th><bean:message key="orderItem.code" bundle="/order" /></th>
			<th><bean:message key="orderItem.name" bundle="/order" /></th>
			<th><bean:message key="orderItem.unitPrice" bundle="/order" /></th>
			<th><bean:message key="orderItem.quantity" bundle="/order" /></th>
			<th><bean:message key="orderItem.total" bundle="/order" /></th>
		</tr>
		<logic:iterate name="order" property="orderDeliveryCollection" id="delivery" indexId="i">
			<c:if test="${!empty delivery.orderItemCollection}">
			<logic:iterate name="delivery" property="orderItemCollection" id="item" indexId="j">
				<c:set var="orderChangesKey" value="Order.orderItems.${item.orderItemID}"/>
				<tr id="orderItem-<c:out value="${item.orderID}"/>-<c:out value="${j}"/>" class="orderItem<c:if test="${!empty orderChanges[orderChangesKey]}"> ajaxChange</c:if>">
					<logic:present role="superuser,administrator,orderItemEdit">
						<td class="edit">
							<%-- Remove Item Ajax Tool. See /administrator/ajax/removeItem.js --%>
							<form id="removeItemForm-<c:out value="${item.orderItemID}"/>">
								<input type="hidden" name="orderID" value="${order.orderID}"/>
								<input type="hidden" name="orderItemID" value="${item.orderItemID}"/>
								<input type="hidden" name="orderProductCodes" value="${item.code}"/>
								<input type="hidden" name="orderProductQuantities" value="0"/>
								<a href="#" onclick="YAHOO.removeItem.removeItem(<c:out value="${item.orderItemID}"/>);return false;" class="dontPrint enterpriseFeature">Remove&nbsp;&raquo;</a>				
								<div id="removeItemModule-<c:out value="${item.orderItemID}"/>"><div class="bd"></div></div>
							</form>
						</td>
					</logic:present>
					<td class="code"><c:out value="${item.code}" /></td>
					<td class="name">
						<c:out value="${item.name}" escapeXml="false" />
						<c:if test="${!empty item.unitPrice and item.unitPrice gt 0}">
							&mdash;
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
								<c:out value="${item.unitPrice}" />
							</fmt:formatNumber>
						</c:if>
						<c:if test="${!empty item.orderItemAttributes}">
							<logic:iterate name="item" property="orderItemAttributes" id="attribute">
								<br />
								<c:out value="${attribute.attributeName}" />: 
								<c:choose>
									<c:when test="${!empty attribute.optionName and attribute.optionCode eq attribute.attributeValue}">
										<c:out value="${attribute.optionName}" escapeXml="false"/>
									</c:when>
									<c:otherwise>
										<c:out value="${attribute.attributeValue}"/>
									</c:otherwise>
								</c:choose>
								<c:if test="${!empty attribute.total and attribute.total gt 0}">
									&mdash;
									<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
										<c:out value="${attribute.total}" />
									</fmt:formatNumber>
								</c:if>
							</logic:iterate>
						</c:if>
						<c:if test="${!empty item.discounts}">
							<logic:iterate name="item" property="discounts" id="discount">
								<br />
								<c:out value="${discount.name}" />: <a href="DiscountEditForm.do?discountID=<c:out value="${discount.discountID}"/>"><c:out value="${discount.code}" /></a>
							</logic:iterate>
						</c:if>
					</td>
					<td class="price"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${item.total / item.quantity}" /></td>
					<td class="quantity"><c:out value="${item.quantity}" /></td>
					<td class="total"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${item.total}" /></td>
				</tr>
			</logic:iterate>
			</c:if>
		</logic:iterate>
	</table>
	
	<%-- Add Item Ajax Tool. See /administrator/ajax/addItem.js --%>
	<logic:present role="superuser,administrator,orderItemEdit">
		<div id="addItem" class="dontPrint">
			<div id="addItemLink"><a href="#" id="addItemA" class="dontPrint enterpriseFeature">Add&nbsp;Item&nbsp;&raquo;</a></div>
			<div id="addItemInner">
				<form id="addItemForm">
					<input type="hidden" name="orderID" value="${order.orderID}"/>
					<div id="addItemModule"><div class="bd"></div></div>
					<div id="addItemAttributesModule"><div class="bd"></div></div>
					<div id="addItemShippingModule"><div class="bd"></div></div>
					<div id="addItemResultsModule"><div class="bd"></div></div>
				</form>
			</div>
		</div>
	</logic:present>
		
	<%--Discounts--%>
	<c:if var="displayDiscounts" test="false"/>
	<c:if test="${!empty order.orderDiscounts and !order.orderDiscounts['empty']}">
		<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
			<c:if test="${!displayDiscounts and orderDiscount.itemsAppliesType ne '[giftCertificate]'}">
				<c:if var="displayDiscounts" test="true"/>
			</c:if>
		</logic:iterate>
	</c:if>
	<c:if test="${displayDiscounts}">
		<table id="orderDiscounts" class="tabDetails" cellspacing="0" summary="Your Discounts.">
			<tr>
				 <th <logic:present role="superuser,administrator,orderDiscountEdit">colspan="5"</logic:present><logic:notPresent role="superuser,administrator,orderDiscountEdit">colspan="4"</logic:notPresent>><bean:message key="order.discountsLabel" bundle="/order" /></th>
			</tr>
			<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
				<c:if test="${orderDiscount.itemsAppliesType ne '[giftCertificate]'}">
					<c:set var="orderChangesKey" value="Order.orderDiscounts.${orderDiscount.discountID}"/>
					<tr id="orderDiscount-<c:out value="${orderDiscount.orderDiscountID}"/>" class="orderDiscount<c:if test="${!empty orderChanges[orderChangesKey]}"> ajaxChange</c:if>">
						<logic:present role="superuser,administrator,orderDiscountEdit">
							<td class="edit">
								<c:choose>
									<c:when test="${!empty orderDiscount.couponCode and orderDiscount.itemsAppliesType ne '[giftCertificate]'}">
										<%-- Remove Coupon Ajax Tool. See /administrator/ajax/removeCoupon.js --%>
										<form id="removeCouponForm-<c:out value="${orderDiscount.orderDiscountID}"/>">
											<input type="hidden" name="orderID" value="${order.orderID}"/>
											<input type="hidden" name="couponCode" value="${orderDiscount.couponCode}"/>
											<a href="#" onclick="YAHOO.removeCoupon.removeCoupon(<c:out value="${orderDiscount.orderDiscountID}"/>);return false;" class="dontPrint enterpriseFeature">Remove&nbsp;Coupon&nbsp;&raquo;</a>				
											<div id="removeCouponModule-<c:out value="${orderDiscount.orderDiscountID}"/>"><div class="bd"></div></div>
										</form>
									</c:when>
									<c:otherwise>&nbsp;</c:otherwise>
								</c:choose>
							</td>
						</logic:present>
						<td class="code">
							<c:if test="${!empty orderDiscount.orderItem}">
								<c:out value="${orderDiscount.orderItem.code}" />
							</c:if>
						</td>
						<td class="name"><c:out value="${orderDiscount.name}" /></td>
						<td class="code">
							<c:if test="${empty orderDiscount.couponCode}">
								<c:out value="${orderDiscount.code}" />
							</c:if>
							<c:if test="${!empty orderDiscount.couponCode}">
								<c:out value="${orderDiscount.couponCode}" />
							</c:if>
						</td>
						<td class="total">
							<c:if test="${orderDiscount.itemsAppliesType ne '[shipping]'}">
								(<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${orderDiscount.total}" />)
							</c:if>
						</td>
					</tr>
				</c:if>
			</logic:iterate>
		</table>
	</c:if>
	
	<%-- Add Coupon Ajax Tool. See /administrator/ajax/addCoupon.js --%>
	<logic:present role="superuser,administrator,orderItemEdit">
		<div id="addCoupon" class="dontPrint">
			<div id="addCouponLink"><a href="#" id="addCouponA" class="dontPrint enterpriseFeature">Add&nbsp;Coupon&nbsp;&raquo;</a></div>
			<div id="addCouponInner">
				<form id="addCouponForm">
					<input type="hidden" name="orderID" value="${order.orderID}"/>
					<div id="addCouponModule"><div class="bd"></div></div>
					<div id="addCouponResultsModule"><div class="bd"></div></div>
				</form>
			</div>
		</div>
	</logic:present>
		
	<%--Shipping method--%>
	<c:if test="${settings.map.shippingRequired eq '1'}">
		<table id="shippingMethod" class="tabDetails" cellspacing="0" summary="Shipping Method">
			<tr>
				 <th colspan="2"><bean:message key="order.shipping" bundle="/order" /></th>
			</tr>
	
			<c:choose>
				<c:when test="${empty order.subtotal or empty order.quantity or order.quantity eq 0}">
					<tr>
						<td colspan="2">
							Add items first.
						</td>
					</tr>
				</c:when>
				<c:otherwise>
					<tr>
						<td id="shippingEdit" class="edit">
							<logic:present role="superuser,administrator,orderEdit">
								<a href="#" id="updateShippingA" class="dontPrint enterpriseFeature">Edit&nbsp;&raquo;</a>
							</logic:present>
						</td>
						<td>
							<c:choose>
								<c:when test="${!empty order.shippingMethod and !empty orderChanges['Order.shippingMethod']}">
									<span class="ajaxChange"><c:out value="${order.shippingMethod}" /> (<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.shipping}"/>)</span>
								</c:when>
								<c:when test="${!empty order.shippingMethod}">
									<c:out value="${order.shippingMethod}" /> (<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.shipping}"/>)
								</c:when>
								<c:when test="${!empty orderChanges['Order.firstDelivery.statusDetails']}">
									<span class="ajaxChange"><c:out value="${delivery.statusDetails}" /> (<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.shipping}"/>)</span>
								</c:when>
								<c:when test="${!empty delivery.statusDetails}">
									<c:out value="${delivery.statusDetails}" /> (<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.shipping}"/>)
								</c:when>
								<c:otherwise>
									[Not Defined]
								</c:otherwise>
							</c:choose>
							<%-- Update Shipping Ajax Tool. See /administrator/ajax/updateShipping.js --%>
							<logic:present role="superuser,administrator,orderEdit">
								<form id="updateShippingForm">
									<input type="hidden" name="orderID" value="${order.orderID}"/>
									<span id="updateShippingModule"><span class="bd"></span></span>
									<span id="updateShippingResultsModule"><span class="bd"></span></span>
								</form>
							</logic:present>
							<br/>
						</td>
					</tr>
				</c:otherwise>
			</c:choose>
		</table>
	</c:if>
	
	<%--Order totals--%>
	<table id="orderTotals" class="tabDetails" cellspacing="0" summary="Your Order Totals/Amounts">
		<tr>
			 <th colspan="3"><bean:message key="order.orderTotals" bundle="/order" /></th>
		</tr>
		<tr>
			<td rowspan="3">&nbsp;</td>
		 	<td class="orderTotalLabel"><bean:message key="order.subtotal" bundle="/order" />:</td>
		 	<td class="orderTotalAmount<c:if test="${!empty orderChanges['Order.subtotal']}"> ajaxChange</c:if>">
		 		<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.subtotal}"/>
		 	</td>
		</tr>
		<tr>
		 	<td class="orderTotalLabel"><bean:message key="order.shipping" bundle="/order" />:</td>
		 	<td class="orderTotalAmount<c:if test="${!empty orderChanges['Order.shipping']}"> ajaxChange</c:if>">
		 		<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.shipping}"/>
		 	</td>
		</tr>
		<tr>
		 	<td class="orderTotalLabel"><bean:message key="order.tax" bundle="/order" />:</td>
		 	<td class="orderTotalAmount<c:if test="${!empty orderChanges['Order.tax']}"> ajaxChange</c:if>">
		 		<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.tax}"/>
		 	</td>
		</tr>
		<c:if test="${!empty order.orderDiscounts and !order.orderDiscounts['empty']}">
			<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
				<c:if test="${orderDiscount.itemsAppliesType eq '[giftCertificate]'}">
					<c:set var="orderChangesKey" value="Order.orderDiscounts.${orderDiscount.discountID}"/>
					<tr>
					 	<td colspan="2" class="orderTotalLabelHighlighted">
							<c:out value="${orderDiscount.name}" />
							<c:set var="balance"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${orderDiscount.reward - orderDiscount.total}"/></c:set>
							<bean-el:message key="order.giftCertificateBalance" bundle="/order" arg0="${balance}"/>:
						</td>
						<td class="orderTotalAmountHighlighted <c:if test="${!empty orderChanges[orderChangesKey]}">ajaxChange</c:if>">
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${orderDiscount.total * -1}"/>
						</td>
					</tr>
				</c:if>
			</logic:iterate>
		</c:if>
		<tr>
		 	<td colspan="2" id="totalLabel" class="orderTotalLabel"><bean:message key="order.total" bundle="/order" />:</td>
			<td id="totalAmount<c:if test="${!empty orderChanges['Order.total']}">AjaxChange</c:if>" class="orderTotalAmount">
				<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.total}"/>
			</td>
		</tr>
	</table>
	
	
	<%--Payment information--%>
	<c:choose>
		<c:when test="${!reviewingOrder and !empty order.payments and !order.payments['empty']}">
			<table id="paymentInformation" class="tabDetails" cellspacing="0" summary="Payment Information">
				<tr>
					<th colspan="2"><bean:message key="order.paymentLabel" bundle="/order" /></th>
				</tr>
				<logic:iterate name="order" property="payments" id="payment" indexId="i">
					<tr>
						<td class="edit">
							<logic:present role="superuser,administrator,orderView,paymentView">
								<a href="PaymentEditForm.do?paymentID=<c:out value="${payment.paymentID}"/>" id="updateShippingA" class="dontPrint">Details</a>
							</logic:present>
						</td>
						<td id="paymentInfoData">
							<c:if test="${!empty payment.status}">
								<c:out value="${payment.status}" />
								<br/>
							</c:if>
			                <c:if test="${!empty payment.creditCardName}">
			                    <c:out value="${payment.creditCardName}" />
								<br/>
			                </c:if>
			                <c:if test="${!empty payment.creditCardNumberDisplay}">
			                    <c:out value="${payment.creditCardType}" /> - <c:out value="${payment.creditCardNumberDisplay}" />
								<br/>
			                </c:if>
			                <c:if test="${empty payment.creditCardNumberDisplay}">
			                    <c:if test="${!empty payment.value4}">
			                        <c:out value="${payment.value4}" />
									<br/>
			                    </c:if>
			                </c:if>
			  			</td>
			  		</tr>
			  	</logic:iterate>
		  	</table>
		</c:when>
		<c:when test="${empty order.completed and settings.map.paymentRequired eq '1'}">
			<table id="paymentInformation" class="tabDetails" cellspacing="0" summary="Payment Information">
				<tr>
					<th><bean:message key="order.paymentLabel" bundle="/order" /></th>
				</tr>
				<tr>
					<td>
						<c:choose>
							<c:when test="${(empty order.total or order.total eq 0) and (empty order.quantity or order.quantity eq 0)}">
								Add items first.
							</c:when>
							<c:when test="${settings.map.shippingRequired eq '1' and empty order.shippingMethod and empty delivery.statusDetails}">
								Select shipping first.
							</c:when>
							<c:when test="${order.total eq 0}">
								Order total is <fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.total}"/> - payment not required.
							</c:when>
							<c:otherwise>
								<ssc:insert page="/WEB-INF/templates/administrator/default/order/paymentForms.jsp"/>
							</c:otherwise>
						</c:choose>
		  			</td>
		  		</tr>
		  	</table>
		</c:when>
	</c:choose>
	
	<c:choose>
		<c:when test="${!empty order.completed}">
				
			<div class="helpLinks">
				<h3 class="administratorSubhead">How Do I ... </h3>
				<ul class="helpLinkList inline">
					<li class="inline">
						<ssc:help type="inline" topic="How Do I ..." title="Learn more about the order management tools on this screen">
							<p>The various links to "Edit", "Add" or "Remove" order information on this screen trigger our Ajax order management tools.
							For more information visit the chapter on <a href="http://www.softslate.com/documentation/html/managingOrders.html">Managing Orders</a>
							in the User Guide.</p>
						</ssc:help>
					</li>
				</ul>
			</div>
			<div class="helpLinks">
				<h3 class="administratorSubhead">Related Actions</h3>
				<ul class="helpLinkList">
					<c:if test="${!empty order.customerID}">
						<li><a href="<%=response.encodeURL(administratorURL + "/CustomerEditForm.do")%>?customerID=<c:out value="${order.customerID}"/>">
							View this customer's details
						</a></li>
						<li><a href="<%=response.encodeURL(administratorURL + "/Order.do")%>?parentIDField=customerID&customerID=<c:out value="${order.customerID}"/>">
							View all of this customer's orders
						</a></li>
					</c:if>
					<li><a href="<%=response.encodeURL(administratorURL + "/SendEmailsForm.do")%>?orderID=<c:out value="${order.orderID}"/>">Resend this order's emails...</a></li>
					<li><a target="_blank" href="<%=response.encodeURL(administratorURL + "/Invoice.do")%>?orderNumber=<bean:write name="order" property="orderNumber"/>">Display this order's invoice</a> (launches new window)</li>
					<c:if test="${!empty order.email1}">
						<li class="enterpriseFeature"><a href="<%=response.encodeURL(administratorURL + "/EmailAddForm.do")%>?parentOrderID=<c:out value="${order.orderID}"/>">Send this customer an email</a></li>
					</c:if>
					<li>
						Print this order's: 
					<c:set var="pipeDelimitedTemps" value=""/>
					<c:forTokens var="temp" varStatus="current" items="${settings.map.possiblePrintTemplates}" delims=","> 
						<% pageContext.setAttribute("temp", ((String) pageContext.getAttribute("temp")).trim()); %>
						<c:if test="${!current.first}">
							<c:set var="pipeDelimitedTemps" value="${pipeDelimitedTemps}|"/>
						</c:if>
						<c:set var="pipeDelimitedTemps" value="${pipeDelimitedTemps}${temp}"/>
						<a target="_blank" href="<c:out value="${settings.map.administratorURL}"/>/OrderProcessSelected.do?selectedID=<c:out value="${order.orderID}"/>&amp;withSelectedAction=Print&amp;withSelectedPrint=<c:out value="${temp}"/>"> <c:choose><c:when test="${temp eq 'invoice'}">Invoice</c:when><c:when test="${temp eq 'packList'}">Packing List</c:when><c:otherwise><c:out value="${temp}"/></c:otherwise></c:choose></a>,
					</c:forTokens>
					or <a target="_blank" href="<c:out value="${settings.map.administratorURL}"/>/OrderProcessSelected.do?selectedID=<c:out value="${order.orderID}"/>&amp;withSelectedAction=Print&amp;withSelectedPrint=<c:out value="${pipeDelimitedTemps}"/>">All Documents</a>
					 (launch new windows)
					</li>
				</ul>
				
			</div>
			
		</c:when>
		<c:otherwise>
				
			<div class="helpLinks">
				<h3 class="administratorSubhead">How Do I ... </h3>
				<ul class="helpLinkList inline">
					<li class="inline">
						<ssc:help type="inline" topic="How Do I ..." title="Enter a New Order">
							<p>To enter a new order into the system, follow these steps:</p>
							<ul class="normal">
								<li>From the <a href="Order.do">Order Control Screen</a> click the "Add new record" link, 
								or from the Administrator's home page, click the link to "Enter a New Order".</li>
								<li>As you click either of those links, a new, empty order will be created for you and 
								you'll be on the Overview screen for the new order. </li>
								<li>Start filling it in from the top of the screen, by clicking the "Edit" links under the
								billing and delivery address.</li>
								<li>Use the "Add Item" link to add items to the order, and "Add Coupon" to add coupons.</li>
								<li>If shipping is required, click the "Edit" link under Shipping to choose a shipping method.</li>
								<li>Once all the required elements are in place, the forms for the active payment methods allowed by
								the system will appear. Fill in the payment information and click the "Place Order" button.</li>
								<li>That's it! The order will be assigned an order number and marked Complete in the system.</li>
							</ul>
						</ssc:help>
					</li>
					<li class="inline">
						<ssc:help type="inline" topic="How Do I ..." title="Learn more about the order management tools on this screen">
							<p>The various links to "Edit", "Add" or "Remove" order information on this screen trigger our Ajax order management tools.
							For more information visit the chapter on <a href="http://www.softslate.com/documentation/html/managingOrders.html">Managing Orders</a>
							in the User Guide.</p>
						</ssc:help>
					</li>
				</ul>
			</div>
			
		</c:otherwise>
	</c:choose>
	
</div>

<%-- Send out emails if an order has just been completed --%>
<c:if test="${orderJustCompleted}">
	<%
		// Put a user object and the baseForm object in the request scope with the order under it for orderEmails.jsp
		BaseForm baseForm = (BaseForm) request.getAttribute("baseForm");
		Order order = (Order) request.getAttribute("order");
		User user = (User) baseForm.getBusinessObjectFactory().createObject("userImplementer");
		user.setLocale(baseForm.getUser().getLocale());
		user.setCustomer(order.getCustomer());
		user.setOrder(order);
		baseForm.getRequest().setAttribute("user", user);
	%>
	<ssc:insert attribute="sendEmails" />
</c:if>

<!-- End orderOverview.jsp -->
