<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use these settings to define how your store connects to PayPal.
</div>

<br/>

<html:form action="/SettingsProcessPayPal" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:equal name="settingRow" property="type" value="paypal">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'paypalEnvironment'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="paypalEnvironment">
									<option value="live" <logic:match name="setting" property="smallValue" value="live">selected="selected"</logic:match>>Live</option>
									<option value="sandbox" <logic:match name="setting" property="smallValue" value="sandbox">selected="selected"</logic:match>>Sandbox</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'paypalPaymentType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="paypalPaymentType">
									<option value="Sale" <logic:match name="setting" property="smallValue" value="Sale">selected="selected"</logic:match>>Sale</option>
									<option value="Order" <logic:match name="setting" property="smallValue" value="Order">selected="selected"</logic:match>>Order</option>
									<option value="Authorization" <logic:match name="setting" property="smallValue" value="Authorization">selected="selected"</logic:match>>Authorization</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</logic:equal>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<br/><br/>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Establish an Express Checkout Account with PayPal">
			<p>PayPal's Express Checkout allows you to include the PayPal button on the cart page and the payment page
			 during checkout. Customers are redirected to PayPal's website to enter payment information.
				Then they are directed back to the store to confirm and complete their order.</p>
				<p>Visit here <a href="https://www.paypal.com/us/webapps/mpp/referral/paypal-express-checkout?partner_id=HVRJADM253TCE">
				to sign up for Express Checkout</a>. Once that is set up,
				you must request "API Access" from the My Account -> Profile -> API Access area. Then click "View API Certificate,"
				and then "Request API Signature". Copy the API user, password, and signature into the above
				form. </p>
			<p>Here are screenshots of the steps involved in the PayPal account interface:</p>
			<ul class="normal">
				<li><a href="http://screencast.com/t/ZDczYzQwY2E">Step 1</a></li>
				<li><a href="http://screencast.com/t/ZDdlYmY3Z">Step 2</a></li>
				<li><a href="http://screencast.com/t/NzQ0MmIxODQ">Step 3</a></li>
			</ul>
			<p>To do test transactions in PayPal's Sandbox testing environment with your own API user name and password, you must first set up a 
				<a href="https://developer.paypal.com/">PayPal Developer Account</a>.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Establish a Direct Payment account with PayPal">
			<p>To use PayPal's Direct Payment option, where the user stays on your site for the entire payment transaction, you must sign up for PayPal's
				<a href="https://www.paypal.com/us/webapps/mpp/referral/website-payments-pro?partner_id=HVRJADM253TCE">Website Payments Pro</a> package.</p>
				<p>Once your account is set up,
				you must request "API Access" from the My Account -> Profile -> API Access area. Then click View API Certificate,
				and then "Request API Signature". Finally copy the API user, password, and signature into the above
				form. </p>
			<p>Here are screenshots of the steps involved in the PayPal account interface:</p>
			<ul class="normal">
				<li><a href="http://screencast.com/t/ZDczYzQwY2E">Step 1</a></li>
				<li><a href="http://screencast.com/t/ZDdlYmY3Z">Step 2</a></li>
				<li><a href="http://screencast.com/t/NzQ0MmIxODQ">Step 3</a></li>
			</ul>
			<p>To do test transactions in PayPal's Sandbox testing environment with your own API user name and password, you must first set up a 
				<a href="https://developer.paypal.com/">PayPal Developer Account</a>.</p>
			</ssc:help>
		</li>
	</ul>
</div>
