<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:if test="${!empty categories}">
	<bean:size id="categoriesSize" name="categories"/>
</c:if>
<c:choose>
	<c:when test="${categoryAddEditForm.isContentPage or categoryAddEditForm.workWithCategories eq 'Content Pages'}">
		<c:set var="categoryOrContent" value="content page"/>
	</c:when>
	<c:otherwise>
		<c:set var="categoryOrContent" value="category"/>
	</c:otherwise>
</c:choose>
<html:hidden name="categoryAddEditForm" property="isContentPage"/>
<!-- Start categoryFormGuts.jsp -->
<tr class="altRow">
	<td class="property setting"><label for="name">
		Name:
	</label></td>
	<td class="value">
		<html:text styleClass="textbox" maxlength="255" name="categoryAddEditForm" property="name" styleId="name" />
		<div class="fieldDescription">The name of this <c:out value="${categoryOrContent}"/> as it appears to customers (may include HTML tags).</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="code">
		Code:
	</label></td>
	<td class="value">
		<html:text maxlength="100" name="categoryAddEditForm" property="code" styleId="code" />
		<div class="fieldDescription">A unique code for this <c:out value="${categoryOrContent}"/>, used by the system to identify it. (No spaces, commas, or pipe characters.) If left blank, the system will automatically generate the code from the name.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="description">
		<c:choose><c:when test="${categoryOrContent eq 'content page'}">Content</c:when><c:otherwise>Description</c:otherwise></c:choose>:
	</label></td>
	<td class="value">
		<html:textarea rows="20" name="categoryAddEditForm" property="description" styleId="description" styleClass="description htmlDescription" />
		<div class="fieldDescription">
			<c:choose>
				<c:when test="${categoryOrContent eq 'content page'}">The HTML body content for the page.</c:when>
				<c:otherwise>A description for this category as displayed to customers.</c:otherwise>
			</c:choose>
		</div>
		<c:choose>
			<c:when test="${settings.map.useTinyMCE eq '1'}">
				<script>tinymce.init({
						selector: "textarea.htmlDescription",
						menubar: "false",
						toolbar: "formatselect | styleselect | undo redo | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent blockquote | link image | table | code",
						plugins: "table code link image paste",
					    tools: "inserttable",
					    paste_text_sticky: true
				});</script>
			</c:when>
			<c:otherwise>
				<div><a href="#" id="showHTMLDialog">Use Design Editor &raquo;</a></div>
				<div id="designEditor">
					<div class="hd"><c:choose><c:when test="${categoryOrContent eq 'content page'}">Content</c:when><c:otherwise>Category Description</c:otherwise></c:choose></div>
					<div class="bd">
						<div><textarea id="designEditorTextarea" name="designEditorTextarea"><c:out value="${categoryAddEditForm.description}"/></textarea></div>
						<script language="JavaScript" type="text/javascript">
							<!--
							YAHOO.designEditor.targetField = document.forms.categoryAddEditForm.description;
							YAHOO.designEditor.sourceField = document.forms.categoryAddEditForm.designEditorTextarea;
							//-->
						</script>
					</div>
				</div>
			</c:otherwise>
		</c:choose>
	</td>
</tr>

<tr class="row">
	<td class="property setting">
		On Category Tree?:
	</td>
	<td class="value">
		<html:radio name="categoryAddEditForm" property="categoryTreeID" value="1" styleId="categoryTreeID-1" styleClass="radiobtn" /> <label for="categoryTreeID-1">yes</label>
		<html:radio name="categoryAddEditForm" property="categoryTreeID" value="0" styleId="categoryTreeID-0" styleClass="radiobtn" /> <label for="categoryTreeID-0">no</label>
		<div class="fieldDescription">If false, this <c:out value="${categoryOrContent}"/> will not appear on the store's category tree.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting">
		<c:choose>
			<c:when test="${categoryOrContent eq 'content page'}">Parent Category/Page</c:when>
			<c:otherwise>Parent Category</c:otherwise>
		</c:choose>
	</td>
	<td>
		<c:choose>
			<c:when test="${!empty categoriesSize and categoriesSize <= settings.map.maxAdminRecordsToDisplay}">
				<html:select name="categoryAddEditForm" property="parentCategory">
					<logic:empty name="categoryAddEditForm" property="parentCategory">
						<option value="0" selected="selected">
							[No Parent]
						</option>
					</logic:empty>
					<logic:notEmpty name="categoryAddEditForm" property="parentCategory">
						<option value="0">
							[No Parent]
						</option>
					</logic:notEmpty>
					<html:options collection="categories" property="categoryID" labelProperty="name" />
				</html:select>
			</c:when>
			<c:otherwise>
				<html:text maxlength="16" name="categoryAddEditForm" property="parentCategory" />
			</c:otherwise>
		</c:choose>
		<div class="fieldDescription">
			<c:choose>
				<c:when test="${categoryOrContent eq 'content page'}">
					<c:choose>
						<c:when test="${!empty categoriesSize and categoriesSize <= settings.map.maxAdminRecordsToDisplay}">
							This page's parent category or content page. Because content pages are simply a special type of
							category, they may be attached to either a parent category or a parent content page. In either
							case, a link to it will appear on the parent's page. If the 'On Category Tree' flag is set, this
							content page will also appear in the category tree under the parent.
							(Leave blank if this content page should stand alone or if it should be on the top of the category 
							tree.) <br/><br/>
						</c:when>
						<c:otherwise>
							The category ID of this content page's parent category or content page.
							Because content pages are simply a special type of
							category, they may be attached to either a parent category or a parent content page. In either
							case, a link to it will appear on the parent's page.
							Because there are more than <c:out value="${settings.map.maxAdminRecordsToDisplay}"/>
							categories in the system, a drop down menu for this field is not available. 
							You may change it by entering the categoryID of the parent.<br/><br/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${!empty categoriesSize and categoriesSize <= settings.map.maxAdminRecordsToDisplay}">
							This category's parent category. Determines its location in the store's category tree. 
							(Leave blank if this category is one of the ones at the top of the tree.) A category may 
							have a parent even if it is not on the category tree. In that case it is accessible by drilling down 
							through its parent.<br/><br/>
						</c:when>
						<c:otherwise>
							The category ID of this category's parent category. Determines its location in the store's category tree. 
							(Leave blank if this category is one of the ones at the top of the tree.)
							Because there are more than <c:out value="${settings.map.maxAdminRecordsToDisplay}"/>
							categories in the system, a drop down menu for this field is not available. 
							You may change it by entering the categoryID of the parent category.<br/><br/>
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="header">
		Header:
	</label></td>
	<td class="value">
		<html:textarea rows="5" name="categoryAddEditForm" property="header" styleId="header" />
		<div class="fieldDescription">Any HTML that will appear at the top of the page, above the name.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="footer">
		Footer:
	</label></td>
	<td class="value">
		<html:textarea rows="5" name="categoryAddEditForm" property="footer" styleId="footer" />
		<div class="fieldDescription">Any HTML that will appear at the bottom of the page, after all the other information but above the global footer.</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="categoryOrder">
		Order:
	</label></td>
	<td class="value">
		<html:text styleClass="number" maxlength="10" name="categoryAddEditForm" property="categoryOrder" styleId="categoryOrder" />
		<div class="fieldDescription">The order in which this <c:out value="${categoryOrContent}"/> will appear relative to others with the same parent.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="keywords">
		Keywords:
	</label></td>
	<td class="value">
		<html:text styleClass="textbox" maxlength="255" name="categoryAddEditForm" property="keywords" styleId="keywords" />
		<div class="fieldDescription">Search keywords for this <c:out value="${categoryOrContent}"/>. Used for the meta/keywords tag for the page and for advanced search indexing.</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting">
		Small Image Path:
	</td>
	<td>
		<html:text styleClass="textbox" maxlength="255" name="categoryAddEditForm" property="smallImage" />
		<c:if test="${!empty categoryAddEditForm.smallImage}">
			<div><a onclick="window.open('<c:out value="${categoryAddEditForm.smallImage}"/>','_blank','height=400,width=500,scrollbars=yes'); return false;" target="_blank" href="<c:out value="${categoryAddEditForm.smallImage}"/>">View Image</a></div>
		</c:if>
	</td>
</tr>
<tr class="row">
	<td class="property setting">
		Upload:
	</td>
	<td>
		<html:file property="smallImageUpload" name="categoryAddEditForm"></html:file>
		<div class="fieldDescription">
			A thumbnail image for this <c:out value="${categoryOrContent}"/>. (Browse to upload a file or enter a URL path to the image.)
		</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting">
		Medium Image Path:
	</td>
	<td>
		<html:text styleClass="textbox" maxlength="255" name="categoryAddEditForm" property="mediumImage" />
		<c:if test="${!empty categoryAddEditForm.smallImage}">
			<div><a onclick="window.open('<c:out value="${categoryAddEditForm.mediumImage}"/>','_blank','height=400,width=500,scrollbars=yes'); return false;" target="_blank" href="<c:out value="${categoryAddEditForm.mediumImage}"/>">View Image</a></div>
		</c:if>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">
		Upload:
	</td>
	<td>
		<html:file property="mediumImageUpload" name="categoryAddEditForm"></html:file>
		<div class="fieldDescription">
			The regular-sized image for this <c:out value="${categoryOrContent}"/>, as appears on the page. (Browse to upload a file or enter a URL path to the image.)
		</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting">
		Large Image:
	</td>
	<td>
		<html:text styleClass="textbox" maxlength="255" name="categoryAddEditForm" property="largeImage" />
		<c:if test="${!empty categoryAddEditForm.smallImage}">
			<div><a onclick="window.open('<c:out value="${categoryAddEditForm.largeImage}"/>','_blank','height=400,width=500,scrollbars=yes'); return false;" target="_blank" href="<c:out value="${categoryAddEditForm.largeImage}"/>">View Image</a></div>
		</c:if>
	</td>
</tr>
<tr class="row">
	<td class="property setting">
		Upload:
	</td>
	<td>
		<html:file property="largeImageUpload" name="categoryAddEditForm"></html:file>
		<div class="fieldDescription">
			The zoom image for this <c:out value="${categoryOrContent}"/>, as appears on the page. (Browse to upload a file or enter a URL path to the image.)
		</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="extra1">
		Extra 1:
	</label></td>
	<td class="value">
		<html:text styleClass="textbox" maxlength="255" name="categoryAddEditForm" property="extra1" styleId="extra1" />
		<div class="fieldDescription">Any extra, or custom information associated with this <c:out value="${categoryOrContent}"/>.</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="extra2">
		Extra 2:
	</label></td>
	<td class="value">
		<html:text styleClass="textbox" maxlength="255" name="categoryAddEditForm" property="extra2" styleId="extra2" />
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="extra3">
		Extra 3:
	</label></td>
	<td class="value">
		<html:text styleClass="textbox" maxlength="255" name="categoryAddEditForm" property="extra3" styleId="extra3" />
	</td>
</tr>

<tr class="row">
	<td class="property setting">
		Active:
	</td>
	<td class="value">
		<html:radio name="categoryAddEditForm" property="isActive" value="true" styleId="isActive-true" styleClass="radiobtn" /> <label for="isActive-true">yes</label>
		<html:radio name="categoryAddEditForm" property="isActive" value="false" styleId="isActive-false" styleClass="radiobtn" /> <label for="isActive-false">no</label>
		
		<div class="fieldDescription">If false, this <c:out value="${categoryOrContent}"/> will not appear at all to customers. (Products assigned to it will appear, unless they are also set to not be active.)</div>
	</td>
</tr>

<c:if test="${settings.map.advancedSearchOn eq '1'}">
	<tr class="altRow">
		<td class="setting">Update Advanced Search Index:</td>
		<td class="value"><html:radio name="categoryAddEditForm" property="updateAdvancedSearchIndex" value="true" /> yes
		&nbsp;&nbsp; <html:radio name="categoryAddEditForm" property="updateAdvancedSearchIndex" value="false" /> no
		<div class="fieldDescription">If yes, as this record is saved, the corresponding document stored in the advanced search index will be updated.</div>
		</td>
	</tr>
</c:if>
<!-- End categoryFormGuts.jsp -->
