<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" type="java.lang.String"/>

<!-- Start discountExtra.jsp -->
<%-- Explain the asterisks. --%>
<c:if test="${nonSKUDiscount eq 'true'}">
	<div class="instructions calloutExplanation">
		<span class="calloutMatch">*</span> Assigning this discount will have no effect because this is a global discount. It applies to the user's cart as a whole regardless of which products are assigned to it.
	</div>
</c:if>
<c:if test="${noProductSKU eq 'true'}">
	<div class="instructions calloutExplanation">
		<span class="calloutMatch">**</span> Assigning this discount will have no effect. To assign discounts, you must create a SKU for this product first.
		Go to <a href="<c:out value="${administratorURL}"/>/SKU.do?parentIDField=productID&amp;productID=<c:out value="${product.productID}"/>">the SKUs screen for this product</a> to create a SKU.
	</div>
</c:if>

<c:if test="${editPermission eq 'true' and (mainForm.parentIDField ne 'skuID' or empty requestScope.sku)}">
	
	<%-- Discount quick add form. --%>
	<div class="controlScreenExtra">
		<h2 class="administratorHeader">Discount - Quick Add <c:if test="${mainForm.parentIDField eq 'productID' and !empty requestScope.product.name}"> under <em><c:out value="${product.name}"/></em></c:if></h2>
		<form name="productQuickAdd" class="extraForm adminContainer" action="<c:out value="${administratorURL}"/>/DiscountQuickAdd.do">
			<c:choose>
				<c:when test="${mainForm.parentIDField eq 'productID' and !empty requestScope.product}">
					<input type="hidden" name="productID" value="<c:out value="${product.productID}"/>"/>
					<input type="hidden" name="parentIDField" value="productID"/>
					<input type="hidden" name="assignments" value="<c:out value="${mainForm.assignments}"/>"/>
					<input type="hidden" name="itemsAppliesType" value="[skus]"/>
				</c:when>
				<c:otherwise>
					<input type="hidden" name="itemsAppliesType" value="[global]"/>
				</c:otherwise>
			</c:choose>
			<input type="hidden" name="usersAppliesType" value="[allUsers]"/>
			<table>
				<tr>
					<td class="extraField">
						<label for="quickAddCode">Code:</label><br/>
						<html:text maxlength="100" name="discountAddEditForm" property="code" styleId="quickAddCode"/>
					</td>
					<td class="extraField">
						<label for="quickAddName">Name:</label><br/>
						<html:text maxlength="255" name="discountAddEditForm" property="name" styleId="quickAddName"/>
					</td>
					<td class="extraField">
						<label for="quickAddrewardType">Reward Type:</label><br/>
						<html:select name="discountAddEditForm" property="rewardType" styleId="quickAddrewardType">
							<html:option value="[percentage]">Percentage</html:option>
							<html:option value="[amount]">Amount</html:option>
						</html:select>
					</td>
					<td class="extraField">
						<label for="quickAddReward">Reward:</label><br/>
						<html:text maxlength="10" name="discountAddEditForm" property="reward" styleId="quickAddReward"/>
					</td>
				</tr>
				<tr>
					<td colspan="4" class="extraButton">
						<input type="submit" class="button" name="addSubmit" value="<bean:message key="administrator.add" bundle="/administrator/administrator"/>" />
					</td>
				</tr>
			</table>
		</form>
		<div class="extraFooting">
			<a href="<c:out value="${administratorURL}"/>/DiscountAddForm.do<c:if test="${!empty product}">?productID=<c:out value="${product.productID}"/>&amp;itemsAppliesType=[skus]</c:if>">Use the full add discount form</a>
		</div>
	</div>
</c:if>
<!-- End discountExtra.jsp -->
